;*******************************************Draw enemy5
;*
;*	Draws the enemy5 sprite
;*
;*	Input:	a2=points to x-coordinate in array
;*		a3=points to y-coordinate in array
;*		a4=points to current sprite information
;*		a5=points to current direction
;********
bomberd3@0017:
draw_enemy5:
	move.w	(a2),d4
	move.w	(a3),d5
	move.w	(a4),d0
	move.w	(a5),dir
	cmp.w	#70,d0
	bcc		draw_enemy5_bomb_drop
	cmp.w	#50,d0
	bcc		draw_enemy5_explosion

	sub.w	#8,d4
	sub.w	#9,d5

	sub.w	#8,d5
	cmp.w	#9,d0
	bcc		den5_s1
	cmp.w	#6,d0
	bcc		den5_s2
	cmp.w	#3,d0
	bcc		den5_s3
	bra		den5_s2
	rts


den5_s1:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy51,d4,d5,#24
	rts

den5_s2:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy52,d4,d5,#24
	rts

den5_s3:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy53,d4,d5,#24
	rts


draw_enemy5_bomb_drop:
	subq.w	#8,d4
	sub.w	#17,d5
	cmp.w	#124,d0
	bcc		draw_enemy5_bd1
	cmp.w	#122,d0
	bcc		draw_enemy5_bd2
	cmp.w	#120,d0
	bcc		draw_enemy5_bd3
	cmp.w	#90,d0
	bcc		draw_enemy5_ba4
	cmp.w	#87,d0
	bcc		draw_enemy5_exp
	cmp.w	#76,d0
	bcc		draw_enemy5_bd3
	cmp.w	#74,d0
	bcc		draw_enemy5_bd3
	cmp.w	#72,d0
	bcc		draw_enemy5_bd2
	cmp.w	#70,d0
	bcc		draw_enemy5_bd1
	rts

draw_enemy5_exp:
	bsr		draw_enemy5_bd3
	cmp.w	#89,d0
	bcc		draw_enemy5_exp1
	cmp.w	#88,d0
	bcc		draw_enemy5_exp2
	cmp.w	#87,d0
	bcc		draw_enemy5_exp3

draw_enemy5_exp1:
	move.w	d4,d2
	move.w	d5,d3
	sub.w	#15,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e12,d2,d3,#16
	sub.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e11,d2,d3,#16
	move.w	d4,d2
	add.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e22,d2,d3,#16
	add.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e21,d2,d3,#16

	move.w	d4,d2
	sub.w	#11,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e42,d2,d3,#16
	sub.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e41,d2,d3,#16
	move.w	d5,d3
	add.w	#21,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e32,d2,d3,#16
	add.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e31,d2,d3,#16
	rts

draw_enemy5_exp2:
	move.w	d4,d2
	move.w	d5,d3
	sub.w	#15,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e12,d2,d3,#16
	sub.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e13,d2,d3,#16
	sub.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e11,d2,d3,#16
	move.w	d4,d2
	add.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e22,d2,d3,#16
	add.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e23,d2,d3,#16
	add.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e21,d2,d3,#16

	move.w	d4,d2
	sub.w	#11,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e42,d2,d3,#16
	sub.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e44,d2,d3,#16
	sub.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e43,d2,d3,#16
	move.w	d5,d3
	add.w	#21,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e32,d2,d3,#16
	add.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e34,d2,d3,#16
	add.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e33,d2,d3,#16
	rts

draw_enemy5_exp3:
	move.w	d4,d2
	move.w	d5,d3
	sub.w	#15,d2
	sub.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e15,d2,d3,#16
	sub.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e14,d2,d3,#16
	move.w	d4,d2
	add.w	#32,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e25,d2,d3,#16
	add.w	#16,d2
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e24,d2,d3,#16

	move.w	d4,d2
	sub.w	#27,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e45,d2,d3,#16
	sub.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e43,d2,d3,#16
	move.w	d5,d3
	add.w	#37,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e35,d2,d3,#16
	add.w	#16,d3
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5e33,d2,d3,#16
	rts

draw_enemy5_bd1:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5a1,d4,d5,#24
	cmp.w	#70,d0
	beq		en5_reset_from_bomb_drop
	rts
draw_enemy5_bd2:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5a2,d4,d5,#24
	rts
draw_enemy5_bd3:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5a3,d4,d5,#24
	rts
draw_enemy5_ba4:
	Draw2ByteSpriteToBufferMaskFromLib	sprite_enemy5a4,d4,d5,#24
	rts

en5_reset_from_bomb_drop:
	move.w	#1,(a4)
	rts

draw_enemy5_explosion:
	cmp.w	#50,d0
	beq		delete_enemy5
	subq.w	#8,d4
	sub.w	#14,d5
	cmp.w	#64,d0
	beq		draw_enemy_exp1
	cmp.w	#62,d0
	beq		draw_enemy_exp2
	cmp.w	#60,d0
	beq		draw_enemy_exp3
	cmp.w	#58,d0
	beq		draw_enemy_exp4
	cmp.w	#56,d0
	beq		draw_enemy_exp5
	cmp.w	#54,d0
	beq		draw_enemy_exp6
	cmp.w	#52,d0
	beq		draw_enemy_exp7
	cmp.w	#63,d0
	beq		draw_enemy_exp1
	cmp.w	#61,d0
	beq		draw_enemy_exp2
	cmp.w	#59,d0
	beq		draw_enemy_exp3
	cmp.w	#57,d0
	beq		draw_enemy_exp4
	cmp.w	#55,d0
	beq		draw_enemy_exp5
	cmp.w	#53,d0
	beq		draw_enemy_exp6
	cmp.w	#51,d0
	beq		draw_enemy_exp7
	rts

;*******************************************Add enemy5
;*
;*	Add a new enemy5
;*
;*	Input:	d0=x-coordinate of new enemy5 in blocks
;*		d1=y-coordinate of new enemy5 in blocks
;*
;********
bomberd3@0018:
add_enemy5:
	move.w	d0,x
	move.w	d1,y
	movem.l	d0-d3/a0,-(a7)

	lea	bomberd2::enemy5_x,a0		;Set vexp x
	move.w  bomberd2::enemy5count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	x,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::enemy5_y,a0		;Set vexp y
	move.w  bomberd2::enemy5count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	move.w	y,d2
	mulu.w	#16,d2
	addq.w	#8,d2
	move.w	d2,(a0)

	lea	bomberd2::enemy5_d,a0		;Set vexp s
	move.w  bomberd2::enemy5count,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a0
	Random	#4,d3
	addq.w	#1,d3
	move.w	d3,(a0)

	lea	bomberd2::enemy5_s,a0		;Set vexp s
	lea	0(a0,d2.w),a0
	move.w	#1,(a0)

	lea	bomberd2::enemy5_b,a0		;Set vexp s
	lea	0(a0,d2.w),a0
	move.w	#0,(a0)

	addq.w	#1,bomberd2::enemy5count

	movem.l	(a7)+,d0-d3/a0
	rts

;*******************************************Get Enemy 4 Stats
;*
;*	Gather pointers for a certain enemy
;*
;*	Input:	d6=the number of this enemy in the enemy arrays
;*
;*	Output:	a2=pointer to x coordinate
;*		a3=pointer to y coordinate
;*		a4=pointer to sprite info
;*		a5=pointer to enemy direction
;*
;********
bomberd3@0014:
learn_enemy5:
	lea	bomberd2::enemy5_x,a0		;Get enemy5 d6's x
	move.w  d6,d2
	mulu.w	#2,d2
	lea	0(a0,d2.w),a2

	lea	bomberd2::enemy5_y,a0		;Get enemy5 d6's y
	lea	0(a0,d2.w),a3

	lea	bomberd2::enemy5_s,a0		;Get enemy5 d6's s
	lea	0(a0,d2.w),a4

	lea	bomberd2::enemy5_d,a0		;Get enemy5 d6's d
	lea	0(a0,d2.w),a5

	lea	bomberd2::enemy5_b,a0		;Get enemy2 d6's d
	lea	0(a0,d2.w),a6

	rts

;*******************************************Move enemy5
;*
;*	Move an enemy
;*
;*	Input:	a2=pointer to x coordinate
;*		a3=pointer to y coordinate
;*		a4=pointer to sprite info
;*		a5=pointer to enemy direction
;*
;********
bomberd3@0015:
move_enemy5:
	clr.l	d0
	clr.l	d1
	clr.l	d2
	move.w	(a2),x
	move.w	(a3),y
	move.w	(a4),s
	move.w	(a5),dir
	move.w	#0,ct
	SetExtraPosInfo x,y

	cmp.w	#70,s
	bcs		me5_exp_not_dropping
		subq.w	#1,s
		move.w	s,(a4)
		rts
	me5_exp_not_dropping:

	addq.w	#1,s
	cmp.w	#11,s
	bne		me5_no_reset_s
	move.w	#0,s
me5_no_reset_s:

	move.w	(a6),d3
	cmp.w	#0,d3
	beq		me5_no_b_delay
	cmp.w	#60,d3
	beq		me5_no_b_delay
	cmp.w	#62,d3
	beq		me5_no_b_delay
		subq.w	#1,(a6)
		bra		me5_end_if_1
	me5_no_b_delay:

	cmp.w	#8,erelpos_x		;IF relpos_x=5
	bne		me5_no_try_bomb_drop
	cmp.w	#8,erelpos_y		;and relpos_y=5
	bne		me5_no_try_bomb_drop
	move.w	eblock_x,d0
	move.w	eblock_y,d1
	bsr		check_surrounded
	cmp.w	#1,d5
	beq		me5_try_bomb_drop_surrounded
		Random	#15,d3
		cmp.w	#1,d3	
		bne		me5_no_try_bomb_drop
			move.w	#125,(a4)
			rts
	me5_try_bomb_drop_surrounded:
		Random	#45,d3
		cmp.w	#1,d3
		bne		me5_no_try_bomb_drop
			move.w	#125,(a4)
			rts
	me5_no_try_bomb_drop:

	cmp.w	#8,erelpos_x		;IF relpos_x=5
	bne		me5_else_1
	cmp.w	#8,erelpos_y		;and relpos_y=5
	bne		me5_else_1
	move.w	eblock_x,d0
	move.w	eblock_y,d1
	bsr		check_surrounded
	cmp.w	#1,d5
	beq		me5_end_if_1
	move.w	eblock_x,d0
	move.w	eblock_y,d1
	bsr		en5_check_player
	cmp.w	#1,d4
	beq		me5_else_1
	Random  #5,d3			;and (RND*5=1)
	cmp.w	#1,d3
	bne	me5_else_1

		Random  #4,d3
		addq.w	#1,d3
		move.w	d3,dir

		bra		me5_end_if_1

me5_else_1:

		cmp.w	#1,dir			;IF dir(a)=1 then
		bne		me5_else_if_11

			cmp.w	#8,erelpos_x		;IF relpos_x>5 or relpos_x<5 then
			beq		me5_else_101


				subq.w	#1,x

				bra		me5_end_if_1

		me5_else_101:

			cmp.w	#0,eblock_x		;IF block_x=0
			beq	me5_if_1011
			move.w	eblock_x,d0		;or board((block_x-1)*10+block_y)<>0
			subq.w	#1,d0
			move.w	eblock_y,d1
			bsr		enemy5_check_pass
			cmp.w	#0,d2
			beq	me5_if_1011
			bsr		check_bombs_vertical
			cmp.w	#1,d3
			beq		me5_if_1011
			move.w	eblock_x,d0
			move.w	eblock_y,d1
			bsr		en5_check_bombs_left
			cmp.w	#1,d3
			beq	me5_if_1011
			
				subq.w	#1,x
				bra		me5_end_if_1

			me5_if_1011:

				move.w	#4,dir
				cmp.w	#3,ct
				beq		me5_end_if_1
				addq.w	#1,ct
				bra		me5_else_if_13

	me5_else_if_11:

		cmp.w	#2,dir			;IF dir(a)=2 then
		bne		me5_else_if_12

			cmp.w	#8,erelpos_x		;IF relpos_x>5 or relpos_x<5 then
			beq		me5_else_111


				addq.w	#1,x

				bra		me5_end_if_1

		me5_else_111:

			move.w	bomberd2::map_width,d0
			move.w	eblock_x,d1
			cmp.w		d0,d1			;IF block_x=12
			beq		me5_if_1111
			move.w	eblock_x,d0		;or board((block_x+1)*10+block_y)<>0
			addq.w	#1,d0
			move.w	eblock_y,d1
			bsr		enemy5_check_pass
			cmp.w	#0,d2
			beq	me5_if_1111
			bsr		check_bombs_vertical
			cmp.w	#1,d3
			beq		me5_if_1111
			move.w	eblock_x,d0
			move.w	eblock_y,d1
			bsr		en5_check_bombs_right
			cmp.w	#1,d3
			beq	me5_if_1111
			
				addq.w	#1,x
				bra		me5_end_if_1

			me5_if_1111:

				move.w	#3,dir
				cmp.w	#3,ct
				beq		me5_end_if_1
				addq.w	#1,ct
				bra		me5_else_if_12

	me5_else_if_12:

		cmp.w	#3,dir			;IF dir(a)=3 then
		bne		me5_else_if_13

			cmp.w	#8,erelpos_y		;IF relpos_y>5 or relpos_y<5 then
			beq		me5_else_121


				addq.w	#1,y

				bra		me5_end_if_1

		me5_else_121:

			move.w  bomberd2::map_height,d0
			move.w  eblock_y,d1
			cmp.w	d0,d1			;IF block_y=9
			beq		me5_if_1211
			move.w	eblock_x,d0		;or board((block_x)*10+block_y+1)<>0
			move.w	eblock_y,d1
			addq.w	#1,d1
			bsr		enemy5_check_pass
			cmp.w	#0,d2
			beq	me5_if_1211
			bsr		check_bombs_horizontal
			cmp.w	#1,d3
			beq		me5_if_1211
			move.w	eblock_x,d0
			move.w	eblock_y,d1
			bsr		en5_check_bombs_down
			cmp.w	#1,d3
			beq	me5_if_1211
			
				addq.w	#1,y
				bra		me5_end_if_1

			me5_if_1211:

				move.w	#1,dir
				cmp.w	#3,ct
				beq		me5_end_if_1
				addq.w	#1,ct
				bra		me5_else_1
	me5_else_if_13:

		cmp.w	#4,dir			;IF dir(a)=4 then
		bne		me5_end_if_1

			cmp.w	#8,erelpos_y		;IF relpos_y>5 or relpos_y<5 then
			beq		me5_else_131


				subq.w	#1,y

				bra		me5_end_if_1

		me5_else_131:

			cmp.w	#0,eblock_y		;IF block_y=0
			beq		me5_if_1311
			move.w	eblock_x,d0		;or board((block_x)*10+block_y-1)<>0
			move.w	eblock_y,d1
			subq.w	#1,d1
			bsr		enemy5_check_pass
			cmp.w	#0,d2
			beq	me5_if_1311
			bsr		check_bombs_horizontal
			cmp.w	#1,d3
			beq		me5_if_1311
			move.w	eblock_x,d0
			move.w	eblock_y,d1
			bsr		en5_check_bombs_up
			cmp.w	#1,d3
			beq	me5_if_1311

				subq.w	#1,y
				bra		me5_end_if_1

			me5_if_1311:

				move.w	#2,dir
				cmp.w	#3,ct
				beq		me5_end_if_1
				addq.w	#1,ct
				bra		me5_else_if_11
me5_end_if_1:

	move.w	x,(a2)
	move.w	y,(a3)
	move.w	s,(a4)
	move.w	dir,(a5)
	rts





en5_check_bombs_left:		;I(d0=x, d1=y) O(d3=1 if bomb is found)
	movem.l	d0-d2,-(a7)
	move.l	d5,-(a7)
	move.w	bomberd2::bomb_exp_len,d5
	addq.w	#1,d5
en5_check_bombs_left_loop:
	cmp.w	#0,d5
	beq		en5_end_check_bombs_left
		subq.w	#1,d5
		subq.w	#1,d0
		GetBoard d2
		cmp.w	#3,d2
		beq		en5_end_check_bombs_found_bomb_left
		cmp.w	#0,d2
		bne		en5_end_check_bombs_left
		bra		en5_check_bombs_left_loop
	en5_end_check_bombs_left:
	move.w	#0,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts
en5_end_check_bombs_found_bomb_left:
	move.w	#1,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts

en5_check_bombs_right:		;I(d0=x, d1=y) O(d3=1 if bomb is found)
	movem.l	d0-d2,-(a7)
	move.l	d5,-(a7)
	move.w	bomberd2::bomb_exp_len,d5
	addq.w	#1,d5
en5_check_bombs_right_loop:
	cmp.w	#0,d5
	beq		en5_end_check_bombs_right
		subq.w	#1,d5
		addq.w	#1,d0
		GetBoard d2
		cmp.w	#3,d2
		beq		en5_end_check_bombs_found_bomb_right
		cmp.w	#0,d2
		bne		en5_end_check_bombs_right
		bra		en5_check_bombs_right_loop
	en5_end_check_bombs_right:
	move.w	#0,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts
en5_end_check_bombs_found_bomb_right:
	move.w	#1,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts

en5_check_bombs_up:		;I(d0=x, d1=y) O(d3=1 if bomb is found)
	movem.l	d0-d2,-(a7)
	move.l	d5,-(a7)
	move.w	bomberd2::bomb_exp_len,d5
	addq.w	#1,d5
en5_check_bombs_up_loop:
	cmp.w	#0,d5
	beq		en5_end_check_bombs_up
		subq.w	#1,d5
		subq.w	#1,d1
		GetBoard d2
		cmp.w	#3,d2
		beq		en5_end_check_bombs_found_bomb_up
		cmp.w	#0,d2
		bne		en5_end_check_bombs_up
		bra		en5_check_bombs_up_loop
	en5_end_check_bombs_up:
	move.w	#0,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts
en5_end_check_bombs_found_bomb_up:
	move.w	#1,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts

en5_check_bombs_down:		;I(d0=x, d1=y) O(d3=1 if bomb is found)
	movem.l	d0-d2,-(a7)
	move.l	d5,-(a7)
	move.w	bomberd2::bomb_exp_len,d5
	addq.w	#1,d5
en5_check_bombs_down_loop:
	cmp.w	#0,d5
	beq		en5_end_check_bombs_down
		subq.w	#1,d5
		addq.w	#1,d1
		GetBoard d2
		cmp.w	#3,d2
		beq		en5_end_check_bombs_found_bomb_down
		cmp.w	#0,d2
		bne		en5_end_check_bombs_down
		bra		en5_check_bombs_down_loop
	en5_end_check_bombs_down:
	move.w	#0,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts
en5_end_check_bombs_found_bomb_down:
	move.w	#1,d3
	move.l	(a7)+,d5
	movem.l	(a7)+,d0-d2
	rts



en5_check_player:		;I(d0=x, d1=y) O(dir, d4=1 if found)
	movem.l	d0-d3,-(a7)
	cmp.w	bomber89::block_x,d0
	beq		en5_check_player_vertical
	cmp.w	bomber89::block_y,d1
	beq		en5_check_player_horizontal
en5_check_player_no_player:
	movem.l	(a7)+,d0-d3
	move.w	#0,d4
	rts

en5_check_player_vertical:
	cmp.w	bomber89::block_y,d1
	bhi		en5_check_player_up
	bra		en5_check_player_down

en5_check_player_horizontal:
	cmp.w	bomber89::block_x,d0
	bhi		en5_check_player_left
	bra		en5_check_player_right

en5_check_player_up:
	sub.w	#1,d1
	GetBoard d3
	cmp.w	#0,d3
	bne		en5_check_player_no_player
	cmp.w	bomber89::block_y,d1
	beq		en5_check_player_up_yes_player
	bra		en5_check_player_up
en5_check_player_up_yes_player:
	move.w	#4,dir
	move.w	#1,d4
	movem.l	(a7)+,d0-d3
	rts

en5_check_player_down:
	add.w	#1,d1
	GetBoard d3
	cmp.w	#0,d3
	bne		en5_check_player_no_player
	cmp.w	bomber89::block_y,d1
	beq		en5_check_player_down_yes_player
	bra		en5_check_player_down
en5_check_player_down_yes_player:
	move.w	#3,dir
	move.w	#1,d4
	movem.l	(a7)+,d0-d3
	rts

en5_check_player_left:
	sub.w	#1,d0
	GetBoard d3
	cmp.w	#0,d3
	bne		en5_check_player_no_player
	cmp.w	bomber89::block_x,d0
	beq		en5_check_player_left_yes_player
	bra		en5_check_player_left
en5_check_player_left_yes_player:
	move.w	#1,dir
	move.w	#1,d4
	movem.l	(a7)+,d0-d3
	rts

en5_check_player_right:
	add.w	#1,d0
	GetBoard d3
	cmp.w	#0,d3
	bne		en5_check_player_no_player
	cmp.w	bomber89::block_x,d0
	beq		en5_check_player_right_yes_player
	bra		en5_check_player_right
en5_check_player_right_yes_player:
	move.w	#2,dir
	move.w	#1,d4
	movem.l	(a7)+,d0-d3
	rts






;*******************************************Delete enemy5
;*
;*	Delete an enemy
;*
;*	Input:	d6=number of this enemy in the enemy array
;*
;********
bomberd3@0016:
delete_enemy5:
	
	movem.l	d0-d4/a0-a4,-(a7)

	lea	bomberd2::enemy5_x,a0
	move.w  d6,d0
	mulu.w	#2,d0
	lea	0(a0,d0.w),a0

	lea	bomberd2::enemy5_y,a4
	lea	0(a4,d0.w),a4

	lea	bomberd2::enemy5_s,a2
	lea	0(a2,d0.w),a2

	lea	bomberd2::enemy5_d,a3
	lea	0(a3,d0.w),a3

	move.w	bomberd2::enemy5count,d0
	sub.w	d6,d0
	subq.w	#1,d0

	addq.w	#$02,a0
	addq.w	#$02,a4
	addq.w	#$02,a2
	addq.w	#$02,a3
denemy5_loop:
	
	move.w	(a0),d1
	subq.w	#$02,a0
	move.w	d1,(a0)
	addq.w	#$04,a0
	move.w	(a4),d1
	subq.w	#$02,a4
	move.w	d1,(a4)
	addq.w	#$04,a4
	move.w	(a2),d1
	subq.w	#$02,a2
	move.w	d1,(a2)
	addq.w	#$04,a2
	move.w	(a3),d1
	subq.w	#$02,a3
	move.w	d1,(a3)
	addq.w	#$04,a3

	dbra.w	d0,denemy5_loop

	subq.w	#1,bomberd2::enemy5count

	movem.l	(a7)+,d0-d4/a0-a4
	rts


;*******************************************Check Pass Block
;*
;*	Check if an enemy can pass a block
;*
;*	Input:	d0=x, d1=y
;*
;*	Output: d2=0 if cannot pass, else, can pass
;*
;********
enemy5_check_pass:
	GetBoard d2
	cmp.w	#4,d2
	beq		enemy5_yes_pass
	cmp.w	#0,d2
	bne		enemy5_no_pass
	bra		enemy5_yes_pass
enemy5_yes_pass:
	move.w	#1,d2
	rts
enemy5_no_pass:
	move.w	#0,d2
	rts



bomberd3@0027:
sprite_enemy51:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%00111111,%00111110
	dc.b	%00101111,%00111010
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%01111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%00111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%11100000
	dc.b	%01000110,%00110001
	dc.b	%01111100,%01011111
	dc.b	%00010000,%11000100
	dc.b	%00111100,%00011110
	dc.b	%00111000,%00001110
	dc.b	%01111000,%00001111
	dc.b	%00111110,%00111110
	dc.b	%00111110,%10111110
	dc.b	%00111111,%01111110
	dc.b	%00111110,%01111110
	dc.b	%00011110,%10111100
	dc.b	%00001110,%00111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
sprite_enemy52:
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%01000011,%11100001
	dc.b	%00100111,%11110010
	dc.b	%00111111,%00111110
	dc.b	%01101111,%00111011
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%01111110
	dc.b	%00111111,%00111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%01000000
	dc.b	%01000011,%11100001
	dc.b	%01100110,%00110011
	dc.b	%00001100,%01011000
	dc.b	%00110000,%11000110
	dc.b	%00111100,%00011110
	dc.b	%01111000,%00001111
	dc.b	%01111000,%00001111
	dc.b	%00111110,%00111110
	dc.b	%00111110,%10111110
	dc.b	%00111110,%01111110
	dc.b	%00111110,%10111110
	dc.b	%00011110,%00111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%01000011,%11100001
	dc.b	%01100111,%11110011
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
sprite_enemy53:
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%01000001,%11000001
	dc.b	%00100011,%11100010
	dc.b	%00110111,%11110110
	dc.b	%01101111,%00111011
	dc.b	%01111111,%00111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%00111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%01000000
	dc.b	%01000001,%01000001
	dc.b	%01100011,%11100011
	dc.b	%00010110,%00110100
	dc.b	%00011100,%01011100
	dc.b	%00100000,%11000010
	dc.b	%01111100,%00011111
	dc.b	%00111000,%00001110
	dc.b	%00111000,%00001110
	dc.b	%00111110,%00111110
	dc.b	%00111110,%01111110
	dc.b	%00111110,%10111110
	dc.b	%00111110,%00111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%01000001,%11000001
	dc.b	%01100011,%11100011
	dc.b	%01110111,%11110111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000

sprite_enemy5a1:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%00111111,%00111110
	dc.b	%00101111,%00111010
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%01111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%00111110
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%11100000
	dc.b	%01000110,%00110001
	dc.b	%01111100,%01011111
	dc.b	%00010000,%11000100
	dc.b	%00111100,%00011110
	dc.b	%00111000,%00001110
	dc.b	%01111000,%00001111
	dc.b	%00111110,%00111110
	dc.b	%00111110,%10111110
	dc.b	%00111111,%01111110
	dc.b	%00111110,%01111110
	dc.b	%00011110,%10111100
	dc.b	%00011110,%00111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
sprite_enemy5a2:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%00111111,%00111110
	dc.b	%00101111,%00111010
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%01111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%00111110
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%11100000
	dc.b	%01000110,%00110001
	dc.b	%01111100,%01011111
	dc.b	%00010000,%11000100
	dc.b	%00111100,%00011110
	dc.b	%00111000,%00001110
	dc.b	%01111000,%00001111
	dc.b	%00111110,%00111110
	dc.b	%00111110,%10111110
	dc.b	%00111111,%01111110
	dc.b	%00111110,%01111110
	dc.b	%00011110,%10111100
	dc.b	%00011110,%00111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
sprite_enemy5a3:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%00111111,%00111110
	dc.b	%00101111,%00111010
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%01111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%00111110
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%11100000
	dc.b	%01000110,%00110001
	dc.b	%01111100,%01011111
	dc.b	%00010000,%11000100
	dc.b	%00111100,%00011110
	dc.b	%00111000,%00001110
	dc.b	%01111000,%00001111
	dc.b	%00111110,%00111110
	dc.b	%00111110,%10111110
	dc.b	%00111111,%01111110
	dc.b	%00111110,%01111110
	dc.b	%00011110,%10111100
	dc.b	%00011110,%00111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%01000111,%11110001
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%01111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
sprite_enemy5a4:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000011,%11100000
	dc.b	%00000011,%11100000
	dc.b	%00000011,%11100000
	dc.b	%11000011,%11100001
	dc.b	%11100111,%11110011
	dc.b	%10111111,%00111110
	dc.b	%10101111,%00111010
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111110,%00111110
	dc.b	%00111111,%11011110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%01000000
	dc.b	%11000011,%11100001
	dc.b	%00100110,%00110010
	dc.b	%11011100,%01011101
	dc.b	%10010000,%11000100
	dc.b	%10011100,%00011100
	dc.b	%00111000,%00001110
	dc.b	%11111000,%00001111
	dc.b	%00111100,%00011110
	dc.b	%00111111,%01111110
	dc.b	%00111101,%11111110
	dc.b	%00111101,%11011110
	dc.b	%00111101,%11011100
	dc.b	%00011110,%00111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%11000000
	dc.b	%00000011,%11100000
	dc.b	%00000011,%11100000
	dc.b	%00000011,%11100000
	dc.b	%11000011,%11100001
	dc.b	%11100111,%11110011
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111110
	dc.b	%00111111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00011111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00000111,%11110000
	dc.b	%00000001,%11000000

sprite_enemy5e11:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00001000,%00100000
	dc.b	%00011010,%01110010
	dc.b	%00011111,%11111111
	dc.b	%00111111,%11111111
	dc.b	%00111100,%10101101
	dc.b	%00011000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%01010010
	dc.b	%00000110,%11101101
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00001000,%00100000
	dc.b	%00011010,%01110010
	dc.b	%00011111,%11111111
	dc.b	%00111111,%11111111
	dc.b	%00111111,%11111111
	dc.b	%00011111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e12:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%10010000,%00000000
	dc.b	%11111111,%00000000
	dc.b	%11111111,%11110000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%11101100,%11111000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%10010000,%00000000
	dc.b	%11111111,%00000000
	dc.b	%11111111,%11110000
	dc.b	%11111111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e13:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00100000
	dc.b	%00100000,%00100000
	dc.b	%00010000,%01110010
	dc.b	%00111100,%01111010
	dc.b	%01011110,%11111110
	dc.b	%01111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11110101,%11101111
	dc.b	%10100000,%00100100
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00001010,%00010000
	dc.b	%01011101,%11011011
	dc.b	%11100000,%01101101
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00100000
	dc.b	%00100000,%00100000
	dc.b	%00010000,%01110010
	dc.b	%00111100,%01111010
	dc.b	%01011110,%11111110
	dc.b	%01111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e14:
	dc.b	%00000000,%00000000
	dc.b	%00000010,%00001000
	dc.b	%00000100,%00001000
	dc.b	%00000110,%00011100
	dc.b	%00001111,%00011110
	dc.b	%00010111,%10111111
	dc.b	%00011111,%11111111
	dc.b	%00011111,%11111111
	dc.b	%00011101,%01111011
	dc.b	%00011000,%00001001
	dc.b	%00001100,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%10000100
	dc.b	%00000111,%01110110
	dc.b	%00000010,%00011011
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%00001000
	dc.b	%00000100,%00001000
	dc.b	%00000110,%00011100
	dc.b	%00001111,%00011110
	dc.b	%00010111,%10111111
	dc.b	%00011111,%11111111
	dc.b	%00011111,%11111111
	dc.b	%00011111,%11111111
	dc.b	%00011111,%11111111
	dc.b	%00001111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e15:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%10000000,%00000000
	dc.b	%10000000,%00000000
	dc.b	%10000000,%00000000
	dc.b	%11000000,%00000000
	dc.b	%11100001,%00000000
	dc.b	%11111111,%10000000
	dc.b	%00111111,%11110000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%11000000,%00000000
	dc.b	%01110111,%10011100
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%10000000,%00000000
	dc.b	%10000000,%00000000
	dc.b	%10000000,%00000000
	dc.b	%11000000,%00000000
	dc.b	%11100001,%00000000
	dc.b	%11111111,%10000000
	dc.b	%11111111,%11110000
	dc.b	%11111111,%11111100
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e21:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%00010000
	dc.b	%01001110,%01011000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11111100
	dc.b	%10110101,%00111100
	dc.b	%00000000,%00011000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%01001010,%11000000
	dc.b	%10110111,%01100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%00010000
	dc.b	%01001110,%01011000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11111100
	dc.b	%11111111,%11111100
	dc.b	%11111111,%11111000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e22:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00001001
	dc.b	%00000000,%11111111
	dc.b	%00001111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00011111,%00110111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00001001
	dc.b	%00000000,%11111111
	dc.b	%00001111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e23:
	dc.b	%00000000,%00000000
	dc.b	%00000100,%00000000
	dc.b	%00000100,%00000100
	dc.b	%01001110,%00001000
	dc.b	%01011110,%00111100
	dc.b	%01111111,%01111010
	dc.b	%11111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11110111,%10101111
	dc.b	%00100100,%00000101
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00001000,%01010000
	dc.b	%11011011,%10111010
	dc.b	%10110110,%00000111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%00000000
	dc.b	%00000100,%00000100
	dc.b	%01001110,%00001000
	dc.b	%01011110,%00111100
	dc.b	%01111111,%01111010
	dc.b	%11111111,%11111110
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%11111111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e24:
	dc.b	%00000000,%00000000
	dc.b	%00010000,%01000000
	dc.b	%00010000,%00100000
	dc.b	%00111000,%01100000
	dc.b	%01111000,%11110000
	dc.b	%11111101,%11101000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11111000
	dc.b	%11011110,%10111000
	dc.b	%10010000,%00011000
	dc.b	%00000000,%00110000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00100001,%01000000
	dc.b	%01101110,%11100000
	dc.b	%11011000,%01000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00010000,%01000000
	dc.b	%00010000,%00100000
	dc.b	%00111000,%01100000
	dc.b	%01111000,%11110000
	dc.b	%11111101,%11101000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11111000
	dc.b	%11111111,%11110000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e25:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000001
	dc.b	%00000000,%00000001
	dc.b	%00000000,%00000001
	dc.b	%00000000,%00000011
	dc.b	%00000000,%10000111
	dc.b	%00000001,%11111111
	dc.b	%00001111,%11111100
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000011
	dc.b	%00111001,%11101110
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000001
	dc.b	%00000000,%00000001
	dc.b	%00000000,%00000001
	dc.b	%00000000,%00000011
	dc.b	%00000000,%10000111
	dc.b	%00000001,%11111111
	dc.b	%00001111,%11111111
	dc.b	%00111111,%11111111
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e31:
	dc.b	%00001100,%01100000
	dc.b	%00011100,%00100000
	dc.b	%00001110,%00110000
	dc.b	%00000100,%00100000
	dc.b	%00001100,%01110000
	dc.b	%00000100,%01100000
	dc.b	%00001100,%01110000
	dc.b	%00011110,%11100000
	dc.b	%00001110,%11000000
	dc.b	%00000110,%01100000
	dc.b	%00001100,%01100000
	dc.b	%00001110,%11000000
	dc.b	%00000111,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%10000000
	dc.b	%00000011,%01000000
	dc.b	%00000001,%01000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000011,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000011,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00001111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11100000
	dc.b	%00001111,%11000000
	dc.b	%00000111,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
sprite_enemy5e32:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%01000000
	dc.b	%00000010,%01000000
	dc.b	%00000000,%00100000
	dc.b	%00000110,%00110000
	dc.b	%00000110,%00000000
	dc.b	%00000100,%00000000
	dc.b	%00001100,%00100000
	dc.b	%00000100,%01100000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%11000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%01100000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000001,%10000000
	dc.b	%00000011,%10000000
	dc.b	%00000011,%11000000
	dc.b	%00000011,%11000000
	dc.b	%00000011,%11100000
	dc.b	%00000111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11000000
	dc.b	%00001111,%11100000
	dc.b	%00000111,%11100000
sprite_enemy5e33:
	dc.b	%00011100,%01111100
	dc.b	%00111000,%00111000
	dc.b	%00001100,%00011100
	dc.b	%00001100,%00111000
	dc.b	%00011000,%00111000
	dc.b	%01110000,%00111000
	dc.b	%00111000,%00011100
	dc.b	%00111100,%00111000
	dc.b	%00111100,%01111000
	dc.b	%01110000,%00110000
	dc.b	%00111010,%01111000
	dc.b	%00111110,%11111000
	dc.b	%00111111,%11110000
	dc.b	%00011111,%11100000
	dc.b	%00000100,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%10000000
	dc.b	%00000100,%01000000
	dc.b	%00000010,%01100000
	dc.b	%00000010,%11000000
	dc.b	%00000100,%11000000
	dc.b	%00001100,%01000000
	dc.b	%00000110,%01100000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%10000000
	dc.b	%00001111,%11000000
	dc.b	%00000101,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00011111,%11111100
	dc.b	%00111111,%11111000
	dc.b	%00001111,%11111100
	dc.b	%00001111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%01111111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11111000
	dc.b	%01111111,%11110000
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11110000
	dc.b	%00011111,%11100000
	dc.b	%00000100,%11000000
	dc.b	%00000000,%00000000
sprite_enemy5e34:
	dc.b	%00001100,%01100000
	dc.b	%00011100,%00100000
	dc.b	%00001110,%00110000
	dc.b	%00000100,%00100000
	dc.b	%00001100,%01110000
	dc.b	%00000100,%01100000
	dc.b	%00001100,%01110000
	dc.b	%00011110,%11100000
	dc.b	%00001110,%11000000
	dc.b	%00000110,%11100000
	dc.b	%00001110,%11110000
	dc.b	%00001100,%11100000
	dc.b	%00011100,%01110000
	dc.b	%00001100,%01110000
	dc.b	%00001100,%01100000
	dc.b	%00011100,%00111000
	dc.b	%00000010,%10000000
	dc.b	%00000011,%01000000
	dc.b	%00000001,%01000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000011,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%11000000
	dc.b	%00001111,%11100000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11100000
	dc.b	%00011111,%11110000
	dc.b	%00001111,%11110000
	dc.b	%00001111,%11100000
	dc.b	%00011111,%11111000
sprite_enemy5e35:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%01000000
	dc.b	%00000010,%01000000
	dc.b	%00000000,%00100000
	dc.b	%00000110,%00110000
	dc.b	%00000110,%00000000
	dc.b	%00000100,%00000000
	dc.b	%00001100,%00100000
	dc.b	%00011100,%00111000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%11000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%01100000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%10000000
	dc.b	%00000001,%10000000
	dc.b	%00000011,%10000000
	dc.b	%00000011,%11000000
	dc.b	%00000011,%11000000
	dc.b	%00000011,%11100000
	dc.b	%00000111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11000000
	dc.b	%00001111,%11100000
	dc.b	%00011111,%11111000
sprite_enemy5e41:
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000111,%10000000
	dc.b	%00001110,%11000000
	dc.b	%00001100,%01100000
	dc.b	%00000110,%01100000
	dc.b	%00001110,%11000000
	dc.b	%00011110,%11100000
	dc.b	%00001100,%01110000
	dc.b	%00000100,%01100000
	dc.b	%00001100,%01110000
	dc.b	%00000100,%00100000
	dc.b	%00001110,%00110000
	dc.b	%00011100,%00100000
	dc.b	%00001100,%01100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%11000000
	dc.b	%00000001,%01000000
	dc.b	%00000011,%01000000
	dc.b	%00000010,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000111,%10000000
	dc.b	%00001111,%11000000
	dc.b	%00001111,%11100000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11000000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11100000
sprite_enemy5e42:
	dc.b	%00000010,%00110000
	dc.b	%00000110,%00010000
	dc.b	%00000010,%00000000
	dc.b	%00000011,%00000000
	dc.b	%00000011,%00011000
	dc.b	%00000000,%00010000
	dc.b	%00000001,%00100000
	dc.b	%00000001,%00100000
	dc.b	%00000001,%01000000
	dc.b	%00000000,%01000000
	dc.b	%00000000,%11000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%01000000
	dc.b	%00000001,%01100000
	dc.b	%00000001,%01100000
	dc.b	%00000000,%10110000
	dc.b	%00000000,%10100000
	dc.b	%00000001,%01100000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%01000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000011,%11110000
	dc.b	%00000111,%11110000
	dc.b	%00000011,%11100000
	dc.b	%00000011,%11110000
	dc.b	%00000011,%11111000
	dc.b	%00000001,%11110000
	dc.b	%00000001,%11100000
	dc.b	%00000001,%11100000
	dc.b	%00000001,%11000000
	dc.b	%00000000,%11000000
	dc.b	%00000000,%11000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%10000000
sprite_enemy5e43:
	dc.b	%00000000,%00000000
	dc.b	%00000100,%11000000
	dc.b	%00011111,%11100000
	dc.b	%00111111,%11110000
	dc.b	%00111110,%11111000
	dc.b	%00111010,%01111000
	dc.b	%01110000,%00110000
	dc.b	%00111100,%01111000
	dc.b	%00111100,%00111000
	dc.b	%00111000,%00011100
	dc.b	%01110000,%00111000
	dc.b	%00011000,%00111000
	dc.b	%00001100,%00111000
	dc.b	%00001100,%00011100
	dc.b	%00111000,%00111000
	dc.b	%00011100,%01111100
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000101,%10000000
	dc.b	%00001111,%11000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%11000000
	dc.b	%00000110,%01100000
	dc.b	%00001100,%01000000
	dc.b	%00000100,%11000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%01100000
	dc.b	%00000100,%01000000
	dc.b	%00000010,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000100,%11000000
	dc.b	%00011111,%11100000
	dc.b	%00111111,%11110000
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11111000
	dc.b	%01111111,%11110000
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11111000
	dc.b	%00111111,%11111100
	dc.b	%01111111,%11111000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11111000
	dc.b	%00001111,%11111100
	dc.b	%00111111,%11111000
	dc.b	%00011111,%11111100
sprite_enemy5e44:
	dc.b	%00011100,%00111000
	dc.b	%00001100,%01100000
	dc.b	%00001100,%01110000
	dc.b	%00011100,%01110000
	dc.b	%00001100,%11100000
	dc.b	%00001110,%11110000
	dc.b	%00000110,%11100000
	dc.b	%00001110,%11000000
	dc.b	%00011110,%11100000
	dc.b	%00001100,%01110000
	dc.b	%00000100,%01100000
	dc.b	%00001100,%01110000
	dc.b	%00000100,%00100000
	dc.b	%00001110,%00110000
	dc.b	%00011100,%00100000
	dc.b	%00001100,%01100000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000011,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000011,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%10000000
	dc.b	%00000010,%11000000
	dc.b	%00000001,%01000000
	dc.b	%00000011,%01000000
	dc.b	%00000010,%10000000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11110000
	dc.b	%00001111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11000000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00000111,%11100000
	dc.b	%00001111,%11110000
	dc.b	%00011111,%11100000
	dc.b	%00001111,%11100000
sprite_enemy5e45:
	dc.b	%00011100,%00111000
	dc.b	%00001100,%00100000
	dc.b	%00000100,%00000000
	dc.b	%00000110,%00000000
	dc.b	%00000110,%00110000
	dc.b	%00000000,%00100000
	dc.b	%00000010,%01000000
	dc.b	%00000010,%01000000
	dc.b	%00000010,%10000000
	dc.b	%00000000,%10000000
	dc.b	%00000001,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%11000000
	dc.b	%00000010,%11000000
	dc.b	%00000001,%01100000
	dc.b	%00000001,%01000000
	dc.b	%00000010,%11000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%10000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
	dc.b	%00011111,%11111000
	dc.b	%00001111,%11100000
	dc.b	%00000111,%11000000
	dc.b	%00000111,%11100000
	dc.b	%00000111,%11110000
	dc.b	%00000011,%11100000
	dc.b	%00000011,%11000000
	dc.b	%00000011,%11000000
	dc.b	%00000011,%10000000
	dc.b	%00000001,%10000000
	dc.b	%00000001,%10000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000001,%00000000
	dc.b	%00000000,%00000000
