idle_loop:
         clr.w    KEY_PRESSED_FLAG         ; Clear keypress counter
         tst.w    KEY_PRESSED_FLAG          ; See if a keypress is stored
         bne.s    idle_loop                ; Continue waiting if not
idle_loop2:
         tst.w    KEY_PRESSED_FLAG          ; See if a keypress is stored
         beq.s    idle_loop2               ; Continue waiting if not
         clr.w    KEY_PRESSED_FLAG          ; Clear keypress counter
         move.w   GETKEY_CODE,d0       ; Read keypress
idle_loop3:
         clr.w    KEY_PRESSED_FLAG          ; Clear keypress counter
         tst.w    KEY_PRESSED_FLAG          ; See if a keypress is stored
         bne.s    idle_loop3               ; Continue waiting if not
         rts
		 ;*******************************************Score Displaying Idle Wait
;*
;*	This function displays the scores on the main screen until a key is pressed
;*	wherein the function will return the key in d0
;*
;********
bomberd2@0003:
score_idle_loop:
	;lea		start_sprite(PC),a0
	;lea		end_sprite(PC),a1
	;lop405:
	;bra		lop405
		;clr.w    KEY_PRESSED_FLAG          ; Clear keypress counter
		;tst.w    KEY_PRESSED_FLAG          ; See if a keypress is stored
		;bne.s    score_idle_loop            ; Continue waiting if not
score_idle_loop2:
		bra		sil_disp_score1
		sil_displayed_score1:
		bra		sil_disp_score2
		sil_displayed_score2:
		bra		sil_disp_score3
		sil_displayed_score3:
		bra		sil_disp_score4
		sil_displayed_score4:
		bra		sil_disp_score5
		sil_displayed_score5:
		bra		sil_disp_score6
		sil_displayed_score6:
		bra		sil_disp_score7
		sil_displayed_score7:
		bra		sil_disp_score8
		sil_displayed_score8:

		bsr		make_black_score_text

		move.l	#1000,d7
score_idle_delay:
		GetKeyStat #6
		move.b	d0,key2
		GetKeyStat #1
		move.b	d0,key3
		GetKeyStat #0
		move.b	d0,key
		btst.b	#0,key2
		beq	score_esc_pressed
		btst.b	#0,key
		beq	score_up_pressed
		btst.b	#2,key
		beq	score_down_pressed
		btst.b	#0,key3
		beq	score_enter_pressed

		dbra.l	d7,score_idle_delay

		bra		score_idle_loop2

		;tst.w    KEY_PRESSED_FLAG          ; See if a keypress is stored
		;beq      score_idle_loop2           ; Continue waiting if not

		;move.w   GETKEY_CODE,d0       ; Read keypress
		;clr.w    KEY_PRESSED_FLAG          ; Clear keypress counter
		;rts

score_esc_pressed:
	btst.b	#0,key
	beq	score_idle_loop2
	bsr	wait_key_release
	move.w	#264,d0
	rts
score_up_pressed:
	bsr	wait_key_release
	move.w	#337,d0
	rts
score_down_pressed:
	bsr	wait_key_release
	move.w	#340,d0
	rts
score_enter_pressed:
	bsr	wait_key_release
	move.w	#13,d0
	rts

	;GenetateScoreDisplayingCode	1
	;GenetateScoreDisplayingCode	2
	;GenetateScoreDisplayingCode	3
	;GenetateScoreDisplayingCode	4
	;GenetateScoreDisplayingCode	5
	;GenetateScoreDisplayingCode	6
	;GenetateScoreDisplayingCode	7
	;GenetateScoreDisplayingCode	8

sil_disp_score1:
	subq.w		#1,score1y
	cmp.w		#71,score1y
	ble			sil_displayed_score1_reset
	bra			sil_displayed_score1_no_reset
	sil_displayed_score1_reset:
	move.w	#0,d0
	move.w	score1y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score1y
	sil_displayed_score1_no_reset:
	cmp.w		#100,score1y
	bhi			sil_displayed_score1
	move.w	#0,d0
	move.w	score1y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score1y,#1,high_score1
	cmp.w	#10,high_score1n
	bcc		high_score1_greater_ten
	WriteStr	#98,score1y,#1,zero
	high_score1_greater_ten:
	cmp.w	#100,high_score1n
	bcc		high_score1_greater_hundred
	WriteStr	#92,score1y,#1,zero
	high_score1_greater_hundred:
	cmp.w	#10,high_score1h
	bcc		high_score1h_greater_ten
	WriteStr	#80,score1y,#1,zero
	high_score1h_greater_ten:
	cmp.w	#100,high_score1h
	bcc		high_score1h_greater_hundred
	WriteStr	#74,score1y,#1,zero
	high_score1h_greater_hundred:
	move.w	high_score1n,d0
	print_d0	#92,score1y,#1
	move.w	high_score1h,d0
	print_d0	#74,score1y,#1
	cmp.w		#0,high_score1l
	beq			sil_displayed_score1_random
	move.w		high_score1l,d0
	print_d0	#120,score1y,#1
	bra			sil_displayed_score1_no_random
	sil_displayed_score1_random:
	WriteStr	#132,score1y,#1,random_level_char
	sil_displayed_score1_no_random:
	move.w		#1,d0
	WriteStr	#1,score1y,#1,number1_text
	bra		sil_displayed_score1

sil_disp_score2:
	subq.w		#1,score2y
	cmp.w		#71,score2y
	ble			sil_displayed_score2_reset
	bra			sil_displayed_score2_no_reset
	sil_displayed_score2_reset:
	move.w	#0,d0
	move.w	score2y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score2y
	sil_displayed_score2_no_reset:
	cmp.w		#100,score2y
	bhi			sil_displayed_score2
	move.w	#0,d0
	move.w	score2y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score2y,#1,high_score2
	cmp.w	#10,high_score2n
	bcc		high_score2_greater_ten
	WriteStr	#98,score2y,#1,zero
	high_score2_greater_ten:
	cmp.w	#100,high_score2n
	bcc		high_score2_greater_hundred
	WriteStr	#92,score2y,#1,zero
	high_score2_greater_hundred:
	cmp.w	#10,high_score2h
	bcc		high_score2h_greater_ten
	WriteStr	#80,score2y,#1,zero
	high_score2h_greater_ten:
	cmp.w	#100,high_score2h
	bcc		high_score2h_greater_hundred
	WriteStr	#74,score2y,#1,zero
	high_score2h_greater_hundred:
	move.w	high_score2n,d0
	print_d0	#92,score2y,#1
	move.w	high_score2h,d0
	print_d0	#74,score2y,#1
	cmp.w		#0,high_score2l
	beq			sil_displayed_score2_random
	move.w		high_score2l,d0
	print_d0	#120,score2y,#1
	bra			sil_displayed_score2_no_random
	sil_displayed_score2_random:
	WriteStr	#132,score2y,#1,random_level_char
	sil_displayed_score2_no_random:
	move.w		#1,d0
	WriteStr	#1,score2y,#1,number2_text
	bra		sil_displayed_score2

sil_disp_score3:
	subq.w		#1,score3y
	cmp.w		#71,score3y
	ble			sil_displayed_score3_reset
	bra			sil_displayed_score3_no_reset
	sil_displayed_score3_reset:
	move.w	#0,d0
	move.w	score3y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score3y
	sil_displayed_score3_no_reset:
	cmp.w		#100,score3y
	bhi			sil_displayed_score3
	move.w	#0,d0
	move.w	score3y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score3y,#1,high_score3
	cmp.w	#10,high_score3n
	bcc		high_score3_greater_ten
	WriteStr	#98,score3y,#1,zero
	high_score3_greater_ten:
	cmp.w	#100,high_score3n
	bcc		high_score3_greater_hundred
	WriteStr	#92,score3y,#1,zero
	high_score3_greater_hundred:
	cmp.w	#10,high_score3h
	bcc		high_score3h_greater_ten
	WriteStr	#80,score3y,#1,zero
	high_score3h_greater_ten:
	cmp.w	#100,high_score3h
	bcc		high_score3h_greater_hundred
	WriteStr	#74,score3y,#1,zero
	high_score3h_greater_hundred:
	move.w	high_score3n,d0
	print_d0	#92,score3y,#1
	move.w	high_score3h,d0
	print_d0	#74,score3y,#1
	cmp.w		#0,high_score3l
	beq			sil_displayed_score3_random
	move.w		high_score3l,d0
	print_d0	#120,score3y,#1
	bra			sil_displayed_score3_no_random
	sil_displayed_score3_random:
	WriteStr	#132,score3y,#1,random_level_char
	sil_displayed_score3_no_random:
	move.w		#1,d0
	WriteStr	#1,score3y,#1,number3_text
	bra		sil_displayed_score3

sil_disp_score4:
	subq.w		#1,score4y
	cmp.w		#71,score4y
	ble			sil_displayed_score4_reset
	bra			sil_displayed_score4_no_reset
	sil_displayed_score4_reset:
	move.w	#0,d0
	move.w	score4y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score4y
	sil_displayed_score4_no_reset:
	cmp.w		#100,score4y
	bhi			sil_displayed_score4
	move.w	#0,d0
	move.w	score4y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score4y,#1,high_score4
	cmp.w	#10,high_score4n
	bcc		high_score4_greater_ten
	WriteStr	#98,score4y,#1,zero
	high_score4_greater_ten:
	cmp.w	#100,high_score4n
	bcc		high_score4_greater_hundred
	WriteStr	#92,score4y,#1,zero
	high_score4_greater_hundred:
	cmp.w	#10,high_score4h
	bcc		high_score4h_greater_ten
	WriteStr	#80,score4y,#1,zero
	high_score4h_greater_ten:
	cmp.w	#100,high_score4h
	bcc		high_score4h_greater_hundred
	WriteStr	#74,score4y,#1,zero
	high_score4h_greater_hundred:
	move.w	high_score4n,d0
	print_d0	#92,score4y,#1
	move.w	high_score4h,d0
	print_d0	#74,score4y,#1
	cmp.w		#0,high_score4l
	beq			sil_displayed_score4_random
	move.w		high_score4l,d0
	print_d0	#120,score4y,#1
	bra			sil_displayed_score4_no_random
	sil_displayed_score4_random:
	WriteStr	#132,score4y,#1,random_level_char
	sil_displayed_score4_no_random:
	move.w		#1,d0
	WriteStr	#1,score4y,#1,number4_text
	bra		sil_displayed_score4

sil_disp_score5:
	subq.w		#1,score5y
	cmp.w		#71,score5y
	ble			sil_displayed_score5_reset
	bra			sil_displayed_score5_no_reset
	sil_displayed_score5_reset:
	move.w	#0,d0
	move.w	score5y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score5y
	sil_displayed_score5_no_reset:
	cmp.w		#100,score5y
	bhi			sil_displayed_score5
	move.w	#0,d0
	move.w	score5y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score5y,#1,high_score5
	cmp.w	#10,high_score5n
	bcc		high_score5_greater_ten
	WriteStr	#98,score5y,#1,zero
	high_score5_greater_ten:
	cmp.w	#100,high_score5n
	bcc		high_score5_greater_hundred
	WriteStr	#92,score5y,#1,zero
	high_score5_greater_hundred:
	cmp.w	#10,high_score5h
	bcc		high_score5h_greater_ten
	WriteStr	#80,score5y,#1,zero
	high_score5h_greater_ten:
	cmp.w	#100,high_score5h
	bcc		high_score5h_greater_hundred
	WriteStr	#74,score5y,#1,zero
	high_score5h_greater_hundred:
	move.w	high_score5n,d0
	print_d0	#92,score5y,#1
	move.w	high_score5h,d0
	print_d0	#74,score5y,#1
	cmp.w		#0,high_score5l
	beq			sil_displayed_score5_random
	move.w		high_score5l,d0
	print_d0	#120,score5y,#1
	bra			sil_displayed_score5_no_random
	sil_displayed_score5_random:
	WriteStr	#132,score5y,#1,random_level_char
	sil_displayed_score5_no_random:
	move.w		#1,d0
	WriteStr	#1,score5y,#1,number5_text
	bra		sil_displayed_score5

sil_disp_score6:
	subq.w		#1,score6y
	cmp.w		#71,score6y
	ble			sil_displayed_score6_reset
	bra			sil_displayed_score6_no_reset
	sil_displayed_score6_reset:
	move.w	#0,d0
	move.w	score6y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score6y
	sil_displayed_score6_no_reset:
	cmp.w		#100,score6y
	bhi			sil_displayed_score6
	move.w	#0,d0
	move.w	score6y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score6y,#1,high_score6
	cmp.w	#10,high_score6n
	bcc		high_score6_greater_ten
	WriteStr	#98,score6y,#1,zero
	high_score6_greater_ten:
	cmp.w	#100,high_score6n
	bcc		high_score6_greater_hundred
	WriteStr	#92,score6y,#1,zero
	high_score6_greater_hundred:
	cmp.w	#10,high_score6h
	bcc		high_score6h_greater_ten
	WriteStr	#80,score6y,#1,zero
	high_score6h_greater_ten:
	cmp.w	#100,high_score6h
	bcc		high_score6h_greater_hundred
	WriteStr	#74,score6y,#1,zero
	high_score6h_greater_hundred:
	move.w	high_score6n,d0
	print_d0	#92,score6y,#1
	move.w	high_score6h,d0
	print_d0	#74,score6y,#1
	cmp.w		#0,high_score6l
	beq			sil_displayed_score6_random
	move.w		high_score6l,d0
	print_d0	#120,score6y,#1
	bra			sil_displayed_score6_no_random
	sil_displayed_score6_random:
	WriteStr	#132,score6y,#1,random_level_char
	sil_displayed_score6_no_random:
	move.w		#1,d0
	WriteStr	#1,score6y,#1,number6_text
	bra		sil_displayed_score6

sil_disp_score7:
	subq.w		#1,score7y
	cmp.w		#71,score7y
	ble			sil_displayed_score7_reset
	bra			sil_displayed_score7_no_reset
	sil_displayed_score7_reset:
	move.w	#0,d0
	move.w	score7y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score7y
	sil_displayed_score7_no_reset:
	cmp.w		#100,score7y
	bhi			sil_displayed_score7
	move.w	#0,d0
	move.w	score7y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score7y,#1,high_score7
	cmp.w	#10,high_score7n
	bcc		high_score7_greater_ten
	WriteStr	#98,score7y,#1,zero
	high_score7_greater_ten:
	cmp.w	#100,high_score7n
	bcc		high_score7_greater_hundred
	WriteStr	#92,score7y,#1,zero
	high_score7_greater_hundred:
	cmp.w	#10,high_score7h
	bcc		high_score7h_greater_ten
	WriteStr	#80,score7y,#1,zero
	high_score7h_greater_ten:
	cmp.w	#100,high_score7h
	bcc		high_score7h_greater_hundred
	WriteStr	#74,score7y,#1,zero
	high_score7h_greater_hundred:
	move.w	high_score7n,d0
	print_d0	#92,score7y,#1
	move.w	high_score7h,d0
	print_d0	#74,score7y,#1
	cmp.w		#0,high_score7l
	beq			sil_displayed_score7_random
	move.w		high_score7l,d0
	print_d0	#120,score7y,#1
	bra			sil_displayed_score7_no_random
	sil_displayed_score7_random:
	WriteStr	#132,score7y,#1,random_level_char
	sil_displayed_score7_no_random:
	move.w		#1,d0
	WriteStr	#1,score7y,#1,number7_text
	bra		sil_displayed_score7

sil_disp_score8:
	subq.w		#1,score8y
	cmp.w		#71,score8y
	ble			sil_displayed_score8_reset
	bra			sil_displayed_score8_no_reset
	sil_displayed_score8_reset:
	move.w	#0,d0
	move.w	score8y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	move.w		#141,score8y
	sil_displayed_score8_no_reset:
	cmp.w		#100,score8y
	bhi			sil_displayed_score8
	move.w	#0,d0
	move.w	score8y,d1
	move.w	#160,d2
	move.w	#8,d3
	moveq.w	#1,d4
	move.l	graphlib::plane0,a1
	jsr	graphlib::fill
	move.l	graphlib::plane1,a1
	jsr	graphlib::fill
	WriteStrL	#10,score8y,#1,high_score8
	cmp.w	#10,high_score8n
	bcc		high_score8_greater_ten
	WriteStr	#98,score8y,#1,zero
	high_score8_greater_ten:
	cmp.w	#100,high_score8n
	bcc		high_score8_greater_hundred
	WriteStr	#92,score8y,#1,zero
	high_score8_greater_hundred:
	cmp.w	#10,high_score8h
	bcc		high_score8h_greater_ten
	WriteStr	#80,score8y,#1,zero
	high_score8h_greater_ten:
	cmp.w	#100,high_score8h
	bcc		high_score8h_greater_hundred
	WriteStr	#74,score8y,#1,zero
	high_score8h_greater_hundred:
	move.w	high_score8n,d0
	print_d0	#92,score8y,#1
	move.w	high_score8h,d0
	print_d0	#74,score8y,#1
	cmp.w		#0,high_score8l
	beq			sil_displayed_score8_random
	move.w		high_score8l,d0
	print_d0	#120,score8y,#1
	bra			sil_displayed_score8_no_random
	sil_displayed_score8_random:
	WriteStr	#132,score8y,#1,random_level_char
	sil_displayed_score8_no_random:
	move.w		#1,d0
	WriteStr	#1,score8y,#1,number8_text
	bra		sil_displayed_score8

;*******************************************Check High Score
;*
;*	This function compares the player's score with the high scores, first asking
;*	the player's name
;*
;********
bomberd2@0004
check_high_score:
	move.w	score,d0
	cmp.w	high_score8n,d0
	ble		chs_exit

	lea		high_score_text,a0
	move.l	graphlib::plane1,a1	;adress of the 2nd bitplane
	jsr		graphlib::smallbox
	lea		high_score_text,a0
	move.l	graphlib::plane0,a1	;adress of the 2nd bitplane
	jsr		graphlib::smallbox
	WriteStr	#36,#40,#1,ask_name_text

	move.w	#1,graphlib::choosescreen	;set all graphlib functions to grayscale mode
	clr.w   (doorsos::kb_vars+$1c)      ;test is a key was hit

	movem.l	d0-d7/a0-a6,-(a7)
	;jsr		graphlib::gray2
	;move.w	#0,graphlib::choosescreen	;set all graphlib functions to grayscale mode
	SetFont #1
	clr.l	d0
	move.w	#36,d1
	move.w	#52,d2
	move.w	#10,d3
	move.w	#0,d4
	;move.l	d6,-(a7)	; save d6
	;moveq.l	#1,d6		; it is NOT a password input
	;bsr		InputStr		; main Input function
	;move.l	(a7)+,d6	; restore d6
	;jsr		userlib::InputStr
	;lea		name,a2
	;add.l	#1,d0
	;move.l	d0,-(a7)
	;move.l	a0,-(a7)
	;move.l	a2,-(a7)
	;jsr		doorsos::strncpy
	;lea		12(a7),a7
	GetString #36,#52,#10,name
	jsr		graphlib::gray4
	movem.l	(a7)+,d0-d7/a0-a6

	move.w	#1,graphlib::choosescreen	;set all graphlib functions to grayscale mode

	move.w	score,d0
	move.w	scoreh,d1

	cmp.w	high_score1h,d1
	bcc		chs_1n
not_bigger_score1h:
	cmp.w	high_score2h,d1
	bcc		chs_2n
not_bigger_score2h:
	cmp.w	high_score3h,d1
	bcc		chs_3n
not_bigger_score3h:
	cmp.w	high_score4h,d1
	bcc		chs_4n
not_bigger_score4h:
	cmp.w	high_score5h,d1
	bcc		chs_5n
not_bigger_score5h:
	cmp.w	high_score6h,d1
	bcc		chs_6n
not_bigger_score6h:
	cmp.w	high_score7h,d1
	bcc		chs_7n
not_bigger_score7h:
	cmp.w	high_score8h,d1
	bcc		chs_8n
	bra		chs_exit

chs_1n:
	cmp.w	high_score1n,d0
	bcs		not_bigger_score1h
	move.w	high_score7l,high_score8l
	move.w	high_score6l,high_score7l
	move.w	high_score5l,high_score6l
	move.w	high_score4l,high_score5l
	move.w	high_score3l,high_score4l
	move.w	high_score2l,high_score3l
	move.w	high_score1l,high_score2l
	move.w	level,high_score1l
	move.w	high_score7n,high_score8n
	move.w	high_score6n,high_score7n
	move.w	high_score5n,high_score6n
	move.w	high_score4n,high_score5n
	move.w	high_score3n,high_score4n
	move.w	high_score2n,high_score3n
	move.w	high_score1n,high_score2n
	move.w	score,high_score1n
	move.w	high_score7h,high_score8h
	move.w	high_score6h,high_score7h
	move.w	high_score5h,high_score6h
	move.w	high_score4h,high_score5h
	move.w	high_score3h,high_score4h
	move.w	high_score2h,high_score3h
	move.w	high_score1h,high_score2h
	move.w	scoreh,high_score1h
	CopyStr	high_score7,high_score8,#10
	CopyStr	high_score6,high_score7,#10
	CopyStr	high_score5,high_score6,#10
	CopyStr	high_score4,high_score5,#10
	CopyStr	high_score3,high_score4,#10
	CopyStr	high_score2,high_score3,#10
	CopyStr	high_score1,high_score2,#10
	CopyStr	name(PC),high_score1,#10
	bra		chs_exit

chs_2n:
	cmp.w	high_score2n,d0
	bcs		not_bigger_score2h
	move.w	high_score7l,high_score8l
	move.w	high_score6l,high_score7l
	move.w	high_score5l,high_score6l
	move.w	high_score4l,high_score5l
	move.w	high_score3l,high_score4l
	move.w	high_score2l,high_score3l
	move.w	level,high_score2l
	move.w	high_score7n,high_score8n
	move.w	high_score6n,high_score7n
	move.w	high_score5n,high_score6n
	move.w	high_score4n,high_score5n
	move.w	high_score3n,high_score4n
	move.w	high_score2n,high_score3n
	move.w	score,high_score2n
	move.w	high_score7h,high_score8h
	move.w	high_score6h,high_score7h
	move.w	high_score5h,high_score6h
	move.w	high_score4h,high_score5h
	move.w	high_score3h,high_score4h
	move.w	high_score2h,high_score3h
	move.w	scoreh,high_score2h
	CopyStr	high_score7,high_score8,#10
	CopyStr	high_score6,high_score7,#10
	CopyStr	high_score5,high_score6,#10
	CopyStr	high_score4,high_score5,#10
	CopyStr	high_score3,high_score4,#10
	CopyStr	high_score2,high_score3,#10
	CopyStr	name(PC),high_score2,#10
	bra		chs_exit

chs_3n:
	cmp.w	high_score3n,d0
	bcs		not_bigger_score3h
	move.w	high_score7l,high_score8l
	move.w	high_score6l,high_score7l
	move.w	high_score5l,high_score6l
	move.w	high_score4l,high_score5l
	move.w	high_score3l,high_score4l
	move.w	level,high_score3l
	move.w	high_score7n,high_score8n
	move.w	high_score6n,high_score7n
	move.w	high_score5n,high_score6n
	move.w	high_score4n,high_score5n
	move.w	high_score3n,high_score4n
	move.w	score,high_score3n
	move.w	high_score7h,high_score8h
	move.w	high_score6h,high_score7h
	move.w	high_score5h,high_score6h
	move.w	high_score4h,high_score5h
	move.w	high_score3h,high_score4h
	move.w	scoreh,high_score3h
	CopyStr	high_score7,high_score8,#10
	CopyStr	high_score6,high_score7,#10
	CopyStr	high_score5,high_score6,#10
	CopyStr	high_score4,high_score5,#10
	CopyStr	high_score3,high_score4,#10
	CopyStr	name(PC),high_score3,#10
	bra		chs_exit

chs_4n:
	cmp.w	high_score4n,d0
	bcs		not_bigger_score4h
	move.w	high_score7l,high_score8l
	move.w	high_score6l,high_score7l
	move.w	high_score5l,high_score6l
	move.w	high_score4l,high_score5l
	move.w	level,high_score4l
	move.w	high_score7n,high_score8n
	move.w	high_score6n,high_score7n
	move.w	high_score5n,high_score6n
	move.w	high_score4n,high_score5n
	move.w	score,high_score4n
	move.w	high_score7h,high_score8h
	move.w	high_score6h,high_score7h
	move.w	high_score5h,high_score6h
	move.w	high_score4h,high_score5h
	move.w	scoreh,high_score4h
	CopyStr	high_score7,high_score8,#10
	CopyStr	high_score6,high_score7,#10
	CopyStr	high_score5,high_score6,#10
	CopyStr	high_score4,high_score5,#10
	CopyStr	name(PC),high_score4,#10
	bra		chs_exit

chs_5n:
	cmp.w	high_score5n,d0
	bcs		not_bigger_score5h
	move.w	high_score7l,high_score8l
	move.w	high_score6l,high_score7l
	move.w	high_score5l,high_score6l
	move.w	level,high_score5l
	move.w	high_score7n,high_score8n
	move.w	high_score6n,high_score7n
	move.w	high_score5n,high_score6n
	move.w	score,high_score5n
	move.w	high_score7h,high_score8h
	move.w	high_score6h,high_score7h
	move.w	high_score5h,high_score6h
	move.w	scoreh,high_score5h
	CopyStr	high_score7,high_score8,#10
	CopyStr	high_score6,high_score7,#10
	CopyStr	high_score5,high_score6,#10
	CopyStr	name(PC),high_score5,#10
	bra		chs_exit

chs_6n:
	cmp.w	high_score6n,d0
	bcs		not_bigger_score6h
	move.w	high_score7l,high_score8l
	move.w	high_score6l,high_score7l
	move.w	level,high_score6l
	move.w	high_score7n,high_score8n
	move.w	high_score6n,high_score7n
	move.w	score,high_score6n
	move.w	high_score7h,high_score8h
	move.w	high_score6h,high_score7h
	move.w	scoreh,high_score6h
	CopyStr	high_score7,high_score8,#10
	CopyStr	high_score6,high_score7,#10
	CopyStr	name(PC),high_score6,#10
	bra		chs_exit

chs_7n:
	cmp.w	high_score7n,d0
	bcs		not_bigger_score7h
	move.w	high_score7l,high_score8l
	move.w	level,high_score7l
	move.w	high_score7n,high_score8n
	move.w	score,high_score7n
	move.w	high_score7h,high_score8h
	move.w	scoreh,high_score7h
	CopyStr	high_score7,high_score8,#10
	CopyStr	name(PC),high_score7,#10
	bra		chs_exit

chs_8n:
	cmp.w	high_score8n,d0
	bcs		chs_exit
	move.w	level,high_score8l
	move.w	score,high_score8n
	move.w	scoreh,high_score8h
	CopyStr	name(PC),high_score8,#10
	bra		chs_exit

chs_exit:
	rts
end_score_stuff:



make_black_score_text:
	movem.l	d0/a0-a1,-(a7)
	move.l	graphlib::plane0,a0
	move.l	graphlib::plane1,a1
	add.l		#1440,a0
	add.l		#1440,a1
	move.l		#57,d0
make_black_score_text_loop:
	move.l	(a0)+,(a1)+
	move.l	(a0)+,(a1)+
	move.l	(a0)+,(a1)+
	move.l	(a0)+,(a1)+
	move.l	(a0)+,(a1)+
	adda	#10,a0
	adda	#10,a1
	dbra.l	d0,make_black_score_text_loop
	movem.l	(a7)+,d0/a0-a1
	rts