;*******************************************Variables
;
;	Variable file, containes some unsaved variables that are usually temporary
;	Also containes routines to reset the variables each level or each game
;
;********

	;****these represents ratios of when certain code are called, they are subtracted
	;****by one every mainloop until they are 0, wherein the code is run and they 
	;****are reset to their according def_t_to_ variable
t_to_APD		dc.w	8	;time until the game time is resynched
t_to_key		dc.w	5	;time until a key press is accepted
t_to_handle_enemies	dc.w	10	;time until enemies are handled
t_to_handle		dc.w	10	;time until bombs, explosions, bonuses are handled
t_to_collision 		dc.w	15	;time until collisions are checked
t_to_draw		dc.w	15	;yime until the screen is redrawn

;def_t_to_APD is found in bomberd2 for saving
;def_t_to_key is found in bomberd2 for saving
def_t_to_handle_enemies	dc.w	23	;default time until enemies are handled
def_t_to_handle	dc.w	43	;default time until bombs, explosions, bonuses are handled
def_t_to_collision dc.w	40	;default time until collisions are checked
def_t_to_draw dc.w	10	;default time until the game is redrawn

saved_APD		dc.w	0

	;****these are immediate variables, only temperary
t		dc.l 0
tmp		dc.l 0		;tmp, used to show a temporary value
tmp2		dc.l 0		;tmp2, used to show a temporary value
a		dc.l 0		;a, used to show a temporary value
b		dc.l 0		;b, used to show a temporary value
c		dc.l 0		;c, used to show a temporary value

plstart_x	dc.w 0
plstart_y	dc.w 0
	;****shows position information for ther player
bomber89@0002:
block_x		dc.w 0		;the current square (there are 13) that the player is on
bomber89@0003:
block_y		dc.w 0		;the current square (there are 10) that the player is on
relpos_x	dc.w 0		;the position of the sprite in a square (1-9), 5 is middle
relpos_y	dc.w 0		;the position of the sprite in a square (1-9), 5 is middle

	;****contains key info (temporary) from the keyboard memory location
key			dc.b 0,0
key0		dc.b 0,0
key1		dc.b 0,0
key2		dc.b 0,0
key3		dc.b 0,0

disp_level_count	dc.w	0
disp_level_y		dc.w	0

current_fade_pos dc.w	0

email_text				dc.b	"Email:",0
email					dc.b	"gj_bomber89@hotmail.com",0
producer_text				dc.b	"Produced by:",0
producer				dc.b	"Live Bat Programming",0
round_1					dc.b	"Round 1",0
round_2					dc.b	"Round 2",0
round_3					dc.b	"Round 3",0
round_4					dc.b	"Round 4",0
round_5					dc.b	"Round 5",0

starting_text			dc.b	"Starting",0,0

high_score_text			dc.b	"High Score",0,0
ask_name_text			dc.b	"Enter Your Name",0

name_text				dc.b	"Name",0,0
score_text				dc.b	"Score",0
level_text				dc.b	"Level",0

ask_save_text			dc.b	"Save Game?",0,0
ask_save_text_options		dc.b	"(y,n)",0,0,0

startup_random_text		dc.b	"Random",0,0
startup_new_text		dc.b	"New",0,0,0
startup_options_text		dc.b	"Options",0,0,0
startup_load_text		dc.b	"Resume",0,0
startup_about_text		dc.b	"About",0
startup_game_text		dc.b	"Game:",0,0
startup_button_text		dc.b	'(',19,20,')',0
rt_left_button_text		dc.b	'(',17,18,')',0
random_level_char		dc.b	'R',0,0,0

Screen0		dc.l	0
Screen1		dc.l	0
Screen0_handle  		dc.l 	0	;the first double buffer screen handle
Screen1_handle  		dc.l 	0	;the second double buffer screen handle

BKGScreen0		dc.l	0
BKGScreen1		dc.l	0
BKGScreen0_handle	dc.l 	0	;the first double buffer screen handle
BKGScreen1_handle 	dc.l 	0	;the second double buffer screen handle

DispContext0		dc.l	0
DispContext1		dc.l	0

name			dc.b	"----------",0,0
high_score1		dc.b	"----------",0,0
high_score2		dc.b	"----------",0,0
high_score3		dc.b	"----------",0,0
high_score4		dc.b	"----------",0,0
high_score5		dc.b	"----------",0,0
high_score6		dc.b	"----------",0,0
high_score7		dc.b	"----------",0,0
high_score8		dc.b	"----------",0,0
high_score1n	dc.w	0		;this contains the score data from 1 to 999
high_score2n	dc.w	0		;this contains the score data from 1 to 999
high_score3n	dc.w	0		;this contains the score data from 1 to 999
high_score4n	dc.w	0		;this contains the score data from 1 to 999
high_score5n	dc.w	0		;this contains the score data from 1 to 999
high_score6n	dc.w	0		;this contains the score data from 1 to 999
high_score7n	dc.w	0		;this contains the score data from 1 to 999
high_score8n	dc.w	0		;this contains the score data from 1 to 999
high_score1h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score2h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score3h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score4h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score5h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score6h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score7h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score8h	dc.w	0		;this contains the score data from 1,000 to 999,000
high_score1l	dc.w	0		;this contains the level that the score bearer was on
high_score2l	dc.w	0		;this contains the level that the score bearer was on
high_score3l	dc.w	0		;this contains the level that the score bearer was on
high_score4l	dc.w	0		;this contains the level that the score bearer was on
high_score5l	dc.w	0		;this contains the level that the score bearer was on
high_score6l	dc.w	0		;this contains the level that the score bearer was on
high_score7l	dc.w	0		;this contains the level that the score bearer was on
high_score8l	dc.w	0		;this contains the level that the score bearer was on

zero			dc.b	"0",0

number1_text	dc.b	"1 ",0,0
number2_text	dc.b	"2 ",0,0
number3_text	dc.b	"3 ",0,0
number4_text	dc.b	"4 ",0,0
number5_text	dc.b	"5 ",0,0
number6_text	dc.b	"6 ",0,0
number7_text	dc.b	"7 ",0,0
number8_text	dc.b	"8 ",0,0

bonus_1text		dc.b	"Extra Bomb",0,0
bonus_2text		dc.b	"Extra Life",0,0
bonus_3text		dc.b	"The Boot - Speed Up",0
bonus_4text		dc.b	"Bigger Explosions",0
bonus_5text		dc.b	"Remote Bombs",0,0
bonus_6text		dc.b	"Super Bomb",0,0
bonus_7text		dc.b	"Bonus Points",0,0
bonus_8text		dc.b	"Walk Through Walls",0,0
bonus_9text		dc.b	"Walk Through Bombs",0,0
bonus_10text	dc.b	"The Shield",0,0
bonus_11text	dc.b	"Poison",0,0
bonus_12text	dc.b	"Cornering",0
bonus_13text	dc.b	"Mines",0
bonus_14text	dc.b	"Death Protection",0,0
you_text		dc.b	"The Bomber - You",0,0
bomb_text		dc.b	"The Bomb",0,0
enemy1_text		dc.b	"Enemy - The Spinner",0
enemy_text		dc.b	"Enemies",0

temp1           dc.b 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

;*******************************************Reset Game Variables
;*	
;*	This is called when a new game begins
;*	
;****
reset_game_variables:
	move.w	#8,t_to_APD
	move.w	#5,t_to_key
	move.w	#17,t_to_handle_enemies
	move.w	#30,t_to_handle
	move.w	#15,t_to_collision
	move.w	#15,t_to_draw
	move.w	#4,bomberd2::pllife
	move.w	#25,bomberd2::bomblife
	move.w	#1,bomberd2::bomb_exp_len
	move.w	#1,bomberd2::bombsallowed
	move.w	#0,bomberd2::minesallowed
	move.w	#0,bomberd2::trigger_bombs
	move.w	#0,bomberd2::death_protection
	move.w	#0,bomberd2::walk_through_bombs
	move.w	#0,bomberd2::walk_through_walls
	move.w	#1,bomberd2::bomber_cornering
	move.w	#0,bomberd2::score
	move.w	#0,bomberd2::scoreh
	move.w	#1,bomberd2::level
	move.w	#34,bomberd2::bonus_possibility
	move.w	#16,bomberd2::def_t_to_key
	move.w	#0,bomberd2::game_difficulty
	move.w	#10,bomberd2::map_height
	move.w	#14,bomberd2::map_width
	move.w	#0,bomberd2::bombs_are_triggered
	rts

;*******************************************Reset Variables
;*	
;*	This is called when a player reaches a new level or when the game begins
;*	
;****
reset_variables:
	clr.w	bomberd2::count_down_flag
	clr.w	bomberd2::count_down_reason
	clr.w	bomberd2::count_down_n
	clr.w	bomberd2::enemy1count
	clr.w	bomberd2::enemy2count
	clr.w	bomberd2::enemy3count
	clr.w	bomberd2::enemy4count
	clr.w	bomberd2::enemy5count
	clr.w	bomberd2::bombcount
	clr.w	bomberd2::minecount
	clr.w	bomberd2::playerbombcount
	clr.w	bomberd2::vexpcount
	clr.w	bomberd2::hexpcount
	clr.w	bomberd2::xexpcount
	clr.w	bomberd2::bonuscount
	clr.w	bomberd2::time_to_stand
	move.l	#0,bomberd2::map_x
	move.l	#0,bomberd2::map_y
	move.w	#3,bomberd2::oldmove
	clr.w	bomberd2::spritelevel
	move.w	#6,bomberd2::plx
	move.w	#6,bomberd2::ply
	move.w	#5,bomberd2::oldx
	move.w	#5,bomberd2::oldy
	move.w	#3,bomberd2::oldoldmove
	move.w	#0,bomberd2::oldspritelevel
	move.w	#30,bomberd2::num_flashes_left
	move.w	#0,bomberd2::bomber_flashed
	move.w	#80,bomberd2::flash_countdown
	clr.w	bomberd2::poisontype
	clr.w	bomberd2::poison_count_down_n
	SetPosInfo bomberd2::plx,bomberd2::ply
	rts

;*******************************************Allocate Tables
;*	
;*	This is called to allocate and deallocate resources for the game
;*	
;****
allocate_tables:
	move.l  #$0C80,-(a7)		; 128 words = 256 byte = $0100 bytes
	jsr     doorsos::HeapAlloc	; Call the rom function
	add.l   #$04,a7			; Restore the stack pointer
	move.w	d0,d7
	cmp.w	#0,d0
	beq	alloc_error
	move.w  d0,Screen0_handle	; Store the handle number in a var
	doorsos::DEREF d0,a0		; Get the address to the handle	
	move.l  a0,Screen0			; And store the address in another var

	move.l  #$0C80,-(a7)		; 128 words = 256 byte = $0100 bytes
	jsr     doorsos::HeapAlloc	; Call the rom function
	add.l   #$04,a7			; Restore the stack pointer
	move.w	d0,d7
	cmp.w	#0,d0
	beq	alloc_error1
	move.w  d0,Screen1_handle	; Store the handle number in a var
	doorsos::DEREF d0,a0		; Get the address to the handle	
	move.l  a0,Screen1			; And store the address in another var

	move.l  #$0C80,-(a7)		; 128 words = 256 byte = $0100 bytes
	jsr     doorsos::HeapAlloc	; Call the rom function
	add.l   #$04,a7			; Restore the stack pointer
	cmp.w	#0,d0
	move.w	d0,d7
	beq	alloc_error2
	move.w  d0,BKGScreen0_handle	; Store the handle number in a var
	doorsos::DEREF d0,a0		; Get the address to the handle	
	move.l  a0,BKGScreen0		; And store the address in another var

	move.l  #$0C80,-(a7)		; 128 words = 256 byte = $0100 bytes
	jsr     doorsos::HeapAlloc	; Call the rom function
	add.l   #$04,a7			; Restore the stack pointer
	cmp.w	#0,d0
	move.w	d0,d7
	beq	alloc_error3
	move.w  d0,BKGScreen1_handle	; Store the handle number in a var
	doorsos::DEREF d0,a0		; Get the address to the handle	
	move.l  a0,BKGScreen1		; And store the address in another var
alloc_error:
	rts

deallocate_tables:
alloc_error4:
        move.w  BKGScreen1_handle,-(a7)
        jsr     doorsos::HeapFree       ;Frees the memory
	lea   2(a7),a7			; Restore the stack pointer
alloc_error3:
        move.w  BKGScreen0_handle,-(a7)
        jsr     doorsos::HeapFree       ;Frees the memory
	lea   2(a7),a7			; Restore the stack pointer
alloc_error2:
        move.w  Screen1_handle,-(a7)
        jsr     doorsos::HeapFree       ;Frees the memory
	lea   2(a7),a7			; Restore the stack pointer
alloc_error1:
        move.w  Screen0_handle,-(a7)
        jsr     doorsos::HeapFree       ;Frees the memory
	lea   2(a7),a7			; Restore the stack pointer
	rts