	include "doorsos.h"	;includes tios.h and some other important 
				;functions
	include "graphlib.h"	;includes the sprite routines needed for
				;this game
	include	"userlib.h"	;includes key input, boxes, and other things

	xdef _library
	xdef _ti89     ; Include if library is designed to run on TI-89

	xdef bomberd1@0000
	xdef bomberd1@0001
	xdef bomberd1@0002
	xdef bomberd1@0003
	xdef bomberd1@0004
	xdef bomberd1@0005
	xdef bomberd1@0006
	xdef bomberd1@0007
	xdef bomberd1@0008
	xdef bomberd1@0009
	xdef bomberd1@000A
	xdef bomberd1@000B
	xdef bomberd1@000C
	xdef bomberd1@000D
	xdef bomberd1@000E
	xdef bomberd1@000F
	xdef bomberd1@0010
	xdef bomberd1@0011
	xdef bomberd1@0012
	xdef bomberd1@0013
	xdef bomberd1@0014
	xdef bomberd1@0015
	xdef bomberd1@0016
	xdef bomberd1@0017
	xdef bomberd1@0018
	xdef bomberd1@0019
	xdef bomberd1@001A
	xdef bomberd1@001B
	xdef bomberd1@001C
	xdef bomberd1@001D
	xdef bomberd1@001E
	xdef bomberd1@001F
	xdef bomberd1@0020
	xdef bomberd1@0021
	xdef bomberd1@0022
	xdef bomberd1@0023
	xdef bomberd1@0024
	xdef bomberd1@0025
	xdef bomberd1@0026

	include "macros.asm"		;includes some required macros

;**********************************END OF HEADER

;bomberd1@0000:		;slots @0000 through @0016 are saved for function use
;bomberd1@0001:
bomberd1@0002:
bomberd1@0003:
bomberd1@0004:
bomberd1@0005:
bomberd1@0006:
bomberd1@0007:
bomberd1@0008:
bomberd1@0009:
bomberd1@000A:
bomberd1@000B:
bomberd1@000C:
bomberd1@000D:
bomberd1@000E:
bomberd1@000F:
bomberd1@0010:
bomberd1@0011:
bomberd1@0012:
bomberd1@0013:
bomberd1@0014:
bomberd1@0015:
bomberd1@0016:

;**********************************
;*
;*	GET MAP : RETURNS ADDRESS in A0 of MAP in d0
;*
;*********

bomberd1@0000:
get_map:
	cmp.w	#0,d0
	beq	rt_map_random
	cmp.w	#1,d0
	beq	rt_map_1
	cmp.w	#2,d0
	beq	rt_map_2
	cmp.w	#3,d0
	beq	rt_map_3
	cmp.w	#4,d0
	beq	rt_map_4
	cmp.w	#5,d0
	beq	rt_map_5
	cmp.w	#6,d0
	beq	rt_map_6
	cmp.w	#7,d0
	beq	rt_map_7
	cmp.w	#8,d0
	beq	rt_map_8
	cmp.w	#9,d0
	beq	rt_map_9
	cmp.w	#10,d0
	beq	rt_map_10
	cmp.w	#11,d0
	beq	rt_map_11
	cmp.w	#12,d0
	beq	rt_map_12
	cmp.w	#13,d0
	beq	rt_map_13
	cmp.w	#14,d0
	beq	rt_map_14
	cmp.w	#15,d0
	beq	rt_map_15
	cmp.w	#16,d0
	beq	rt_map_16

rt_map_random:
	movem.l	d2/a1,-(a7)
	lea	random_map(PC),a0
	Random #5,d2
	addq.w	#1,d2
	move.w	d2,(a0)
	movem.l	(a7)+,d2/a1
	rts

rt_map_1:
	lea	level1_map(PC),a0
	rts
rt_map_2:
	lea	level2_map(PC),a0
	rts
rt_map_3:
	lea	level3_map(PC),a0
	rts
rt_map_4:
	lea	level4_map(PC),a0
	rts
rt_map_5:
	lea	level5_map(PC),a0
	rts
rt_map_6:
	lea	level6_map(PC),a0
	rts
rt_map_7:
	lea	level7_map(PC),a0
	rts
rt_map_8:
	lea	level8_map(PC),a0
	rts
rt_map_9:
	lea	level9_map(PC),a0
	rts
rt_map_10:
	lea	level10_map(PC),a0
	rts
rt_map_11:
	lea	level11_map(PC),a0
	rts
rt_map_12:
	lea	level12_map(PC),a0
	rts
rt_map_13:
	lea	level13_map(PC),a0
	rts
rt_map_14:
	lea	level14_map(PC),a0
	rts
rt_map_15:
	lea	level15_map(PC),a0
	rts
rt_map_16:
	lea	level16_map(PC),a0
	rts

;**********************************
;*
;*	GET STYLE : RETURNS ADDRESS in A2 of STYLE in d0
;*
;*********

bomberd1@0001:
get_style:
	cmp.w	#1,d0
	beq	rt_style_1
	cmp.w	#2,d0
	beq	rt_style_2
	cmp.w	#3,d0
	beq	rt_style_3
	cmp.w	#4,d0
	beq	rt_style_4
	cmp.w	#5,d0
	beq	rt_style_5
	rts

rt_style_1:
	lea	style1(PC),a2
	rts
rt_style_2:
	lea	style2(PC),a2
	rts
rt_style_3:
	lea	style3(PC),a2
	rts
rt_style_4:
	lea	style4(PC),a2
	rts
rt_style_5:
	lea	style5(PC),a2
	rts

;**********************************MAP DATA

bomberd1@0017:
level1_map:
	dc.w	1	;style
	dc.w	11	;map_width
	dc.w	21	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,11
	dc.w	12,0,0,1,0,0,1,0,0,0,13
	dc.w	12,0,2,0,2,0,2,0,2,1,13
	dc.w	12,1,0,1,0,1,1,1,0,1,13
	dc.w	12,1,2,1,2,0,2,0,2,0,13
	dc.w	12,1,0,0,0,1,0,1,0,0,13
	dc.w	12,0,2,1,2,0,2,0,2,0,13
	dc.w	12,0,1,1,0,1,0,1,0,1,13
	dc.w	12,0,2,0,2,0,2,0,2,0,13
	dc.w	12,1,1,0,0,0,0,20,15,15,16
	dc.w	14,15,15,15,19,1,20,16,9,10,11
	dc.w	9,10,10,11,12,1,13,21,12,0,13
	dc.w	12,0,2,18,17,1,18,10,17,0,13
	dc.w	12,1,0,0,0,1,0,0,0,1,13
	dc.w	12,1,2,0,2,0,2,0,2,0,13
	dc.w	12,0,0,1,0,1,1,0,0,1,13
	dc.w	12,0,2,1,2,0,2,0,2,0,13
	dc.w	12,1,0,1,0,1,0,0,0,0,13
	dc.w	12,1,2,0,2,1,2,1,2,0,13
	dc.w	12,0,1,1,0,0,0,1,0,1,13
	dc.w	14,15,15,15,15,15,15,15,15,15,16
	dc.w	6	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	0	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@0018:
level2_map:
	dc.w	1	;style
	dc.w	21	;map_width
	dc.w	9	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11
	dc.w	12,0,0,5,5,5,5,6,6,6,6,6,5,5,5,5,5,5,5,5,13
	dc.w	12,0,2,5,2,5,2,6,2,6,2,6,20,15,19,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,5,6,6,6,6,6,13,21,12,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,2,6,2,6,2,6,18,10,17,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,5,6,6,6,6,6,5,5,5,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,2,5,20,19,5,2,5,2,5,2,5,2,5,20,16
	dc.w	12,5,5,5,5,5,5,5,13,12,5,5,5,5,5,5,5,5,5,13,21
	dc.w	14,15,15,15,15,15,15,15,16,14,15,15,15,15,15,15,15,15,15,16,21
	dc.w	7	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	0	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@0019:
level3_map:
	dc.w	1	;style
	dc.w	20	;map_width
	dc.w	20	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,11,9,10,10,10,10,10,10,10,11
	dc.w	12,0,0,5,5,5,5,6,5,5,13,12,5,5,5,5,5,5,5,13
	dc.w	12,0,2,5,2,5,2,6,2,5,13,12,5,2,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,5,6,5,5,13,12,5,5,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,2,6,2,5,13,12,5,2,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,6,6,6,5,13,12,6,6,6,6,6,6,6,13
	dc.w	14,19,5,2,5,2,6,2,6,20,16,12,6,2,6,2,6,2,6,13
	dc.w	21,12,5,5,5,6,6,6,6,13,21,12,6,6,6,6,6,6,6,13
	dc.w	9,17,5,2,6,2,6,2,5,18,11,12,5,2,5,2,5,2,5,13
	dc.w	12,6,6,6,6,6,6,5,5,5,13,12,5,5,5,5,5,5,5,13
	dc.w	12,6,2,6,2,6,2,5,2,5,13,12,5,2,5,2,5,2,5,13
	dc.w	12,6,6,6,6,6,5,5,5,5,13,12,5,5,5,5,5,5,5,13
	dc.w	14,19,1,20,19,1,20,15,15,15,16,14,15,15,15,15,15,19,1,13
	dc.w	21,12,1,13,12,1,13,21,21,21,21,9,10,10,10,10,10,17,1,13
	dc.w	21,12,1,18,17,1,18,10,10,10,10,17,6,2,5,2,5,2,1,13
	dc.w	21,12,5,5,5,5,5,5,6,6,6,6,6,5,5,5,5,1,1,13
	dc.w	21,12,5,2,5,2,5,2,6,2,6,2,6,2,5,2,5,20,15,16
	dc.w	21,12,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,13,21,21
	dc.w	21,12,6,2,6,2,6,2,6,2,6,2,6,20,15,15,15,16,21,21
	dc.w	21,14,15,15,15,15,15,15,15,15,15,15,15,16,21,21,21,21,21,21
	dc.w	8	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	0	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@001A:
level4_map:
	dc.w	2	;style
	dc.w	21	;map_width
	dc.w	13	;map_height
	dc.w	1	;player_x
	dc.w	7	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,10,10,10,10,11,21,21,21,21,21,21
	dc.w	12,0,0,0,0,0,0,0,0,0,0,0,0,0,13,21,21,21,21,21,21
	dc.w	12,0,2,6,2,6,2,6,2,6,2,6,2,0,13,21,21,21,21,21,21
	dc.w	12,0,6,5,5,5,5,5,5,5,5,5,6,0,13,21,21,21,21,21,21
	dc.w	12,0,2,5,2,6,2,6,2,6,2,5,2,0,13,21,21,21,21,21,21
	dc.w	12,0,6,5,6,0,0,0,0,0,6,5,6,0,13,21,21,21,21,21,21
	dc.w	12,0,2,6,2,0,20,15,19,0,2,5,2,0,18,10,10,10,10,10,11
	dc.w	12,0,0,0,0,0,13,21,12,0,6,5,6,0,0,0,0,0,0,0,13
	dc.w	14,15,15,15,15,15,16,21,12,0,2,5,2,6,2,6,2,6,2,0,13
	dc.w	21,21,21,21,21,21,21,21,12,0,6,5,5,5,5,5,5,5,6,0,13
	dc.w	21,21,21,21,21,21,21,21,12,0,2,6,2,6,2,6,2,6,2,0,13
	dc.w	21,21,21,21,21,21,21,21,12,0,0,0,0,0,0,0,0,0,0,0,13
	dc.w	21,21,21,21,21,21,21,21,14,15,15,15,15,15,15,15,15,15,15,15,16
	dc.w	1	;number of enemy1s
	dc.w	6	;number of enemy2s
	dc.w	0	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@001B:
level5_map:
	dc.w	2	;style
	dc.w	17	;map_width
	dc.w	17	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11
	dc.w	12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13
	dc.w	12,0,2,6,2,6,2,6,2,6,2,6,2,6,2,0,13
	dc.w	12,0,6,5,5,5,5,5,5,5,5,5,5,5,6,0,13
	dc.w	12,0,2,5,2,5,2,5,2,5,2,5,2,5,2,0,13
	dc.w	12,0,6,5,5,5,5,5,5,5,5,5,5,5,6,0,13
	dc.w	12,0,2,5,2,5,20,15,15,15,19,5,2,5,2,0,13
	dc.w	12,0,6,5,5,5,13,21,21,21,12,5,5,5,6,0,13
	dc.w	12,0,2,5,2,5,13,21,21,21,12,5,2,5,2,0,13
	dc.w	12,0,6,5,5,5,13,21,21,21,12,5,5,5,6,0,13
	dc.w	12,0,2,5,2,5,18,10,10,10,17,5,2,5,2,0,13
	dc.w	12,0,6,5,5,5,5,5,5,5,5,5,5,5,6,0,13
	dc.w	12,0,2,5,2,5,2,5,2,5,2,5,2,5,2,0,13
	dc.w	12,0,6,5,5,5,5,5,5,5,5,5,5,5,6,0,13
	dc.w	12,0,2,6,2,6,2,6,2,6,2,6,2,6,2,0,13
	dc.w	12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13
	dc.w	14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16
	dc.w	1	;number of enemy1s
	dc.w	7	;number of enemy2s
	dc.w	0	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@001C:
level6_map:
	dc.w	2	;style
	dc.w	15	;map_width
	dc.w	23	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,11,21,21,21,9,10,10,10,10,10,11
	dc.w	12,0,0,0,13,21,21,21,12,0,0,0,0,0,13
	dc.w	12,0,2,0,18,10,10,10,17,0,2,6,2,0,13
	dc.w	12,0,6,0,0,0,0,0,0,0,6,5,6,0,13
	dc.w	12,0,2,6,2,6,2,6,2,6,2,5,2,0,13
	dc.w	12,0,6,5,5,5,5,5,5,5,5,5,6,0,13
	dc.w	12,0,2,5,2,5,2,5,2,20,15,19,2,0,13
	dc.w	12,0,6,5,5,5,5,5,5,13,21,12,6,0,13
	dc.w	12,0,2,5,2,20,19,5,2,13,21,12,2,0,13
	dc.w	12,0,6,5,5,18,17,5,5,18,10,17,6,0,13
	dc.w	12,0,2,5,2,5,2,5,2,5,2,5,2,0,13
	dc.w	12,0,6,5,5,5,5,20,19,5,5,5,6,0,13
	dc.w	12,0,2,6,2,5,2,18,17,6,2,6,2,0,13
	dc.w	12,0,0,0,6,5,5,5,6,0,0,0,0,0,13
	dc.w	14,15,19,0,2,5,2,5,2,0,20,15,19,0,13
	dc.w	21,21,12,0,6,5,5,5,6,0,13,21,12,0,13
	dc.w	21,21,12,0,20,19,2,5,2,0,18,10,17,0,13
	dc.w	21,21,12,0,18,17,5,5,6,0,0,0,0,0,13
	dc.w	21,21,12,0,2,5,2,6,2,6,2,6,2,0,13
	dc.w	21,21,12,0,6,5,6,0,0,0,0,0,6,0,13
	dc.w	21,21,12,0,2,6,2,0,20,15,19,0,2,0,13
	dc.w	21,21,12,0,0,0,0,0,13,21,12,0,0,0,13
	dc.w	21,21,14,15,15,15,15,15,16,21,14,15,15,15,16
	dc.w	1	;number of enemy1s
	dc.w	8	;number of enemy2s
	dc.w	0	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@001D:
level7_map:
	dc.w	3	;style
	dc.w	30	;map_width
	dc.w	7	;map_height
	dc.w	1	;player_x
	dc.w	5	;player_y
	dc.w	21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21
	dc.w	21,6,6,6,6,6,6,6,21,21,21,6,6,6,5,5,5,5,5,5,5,6,6,6,0,0,0,0,0,21
	dc.w	21,6,2,6,2,6,2,6,21,21,21,6,21,21,5,2,5,2,5,2,5,2,6,2,0,2,0,2,0,21
	dc.w	21,6,6,6,6,6,6,6,6,6,6,6,21,21,5,5,5,0,5,5,5,6,6,6,0,0,0,0,0,21
	dc.w	21,0,2,6,2,6,2,6,21,21,21,6,21,21,5,2,5,2,5,2,5,21,21,21,0,2,0,2,0,21
	dc.w	21,0,0,6,6,6,6,6,21,21,21,6,6,6,5,5,5,5,5,5,5,21,21,21,0,0,0,0,0,21
	dc.w	21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21
	dc.w	2	;number of enemy1s
	dc.w	2	;number of enemy2s
	dc.w	3	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@001E:
level8_map:
	dc.w	3	;style
	dc.w	17	;map_width
	dc.w	15	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,11,21,21,21,9,10,10,10,10,10,11
	dc.w	12,0,0,5,5,6,13,21,21,21,12,5,5,5,5,5,13
	dc.w	12,0,2,5,2,6,13,21,21,21,12,5,2,5,2,5,13
	dc.w	12,5,5,5,5,6,13,9,10,11,12,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,13,12,6,13,14,15,19,6,2,5,13
	dc.w	12,5,5,5,5,5,18,17,6,18,11,21,12,6,5,5,13
	dc.w	12,5,2,6,2,5,5,5,5,5,13,21,12,6,2,5,13
	dc.w	12,5,6,6,6,5,2,5,2,5,18,10,17,6,5,5,13
	dc.w	12,5,2,6,2,5,5,5,5,6,6,5,5,5,2,5,13
	dc.w	12,5,5,5,5,5,2,5,20,15,19,5,5,6,5,5,13
	dc.w	12,6,2,5,2,5,5,6,13,21,12,5,2,6,2,5,13
	dc.w	12,6,5,5,5,5,20,15,16,21,12,5,5,6,5,5,13
	dc.w	12,6,2,5,2,5,18,10,10,10,17,5,2,5,2,5,13
	dc.w	12,6,6,6,6,5,5,5,5,5,5,5,6,6,6,6,13
	dc.w	14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16
	dc.w	1	;number of enemy1s
	dc.w	2	;number of enemy2s
	dc.w	5	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@001F:
level9_map:
	dc.w	3	;style
	dc.w	15	;map_width
	dc.w	21	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,11,21,9,10,10,10,10,10,11
	dc.w	12,0,0,6,6,5,13,21,12,5,5,5,5,5,13
	dc.w	12,0,2,6,2,5,13,21,12,5,2,5,2,5,13
	dc.w	12,6,6,6,5,5,13,21,12,5,5,5,5,5,13
	dc.w	12,2,2,0,2,5,13,21,12,5,2,5,2,5,13
	dc.w	12,5,0,0,2,5,13,21,12,5,5,6,5,6,13
	dc.w	12,5,2,2,2,5,13,21,12,2,2,6,2,6,13
	dc.w	12,5,5,5,5,5,18,10,17,0,0,5,5,5,13
	dc.w	12,5,2,5,2,5,5,5,5,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,2,5,2,5,5,5,5,5,13
	dc.w	12,5,2,0,2,5,0,0,0,5,2,5,2,5,13
	dc.w	12,5,2,0,2,5,20,15,19,0,0,5,5,5,13
	dc.w	12,5,2,0,2,5,13,21,12,2,2,5,2,5,13
	dc.w	12,5,5,5,5,5,13,21,12,0,0,5,5,5,13
	dc.w	12,5,2,5,2,0,13,21,12,0,2,5,2,5,13
	dc.w	12,5,6,6,6,0,13,21,12,0,6,6,6,6,13
	dc.w	12,5,2,5,2,0,13,21,12,0,2,5,2,5,13
	dc.w	12,5,5,5,5,0,13,21,12,0,5,5,5,5,13
	dc.w	12,5,2,5,2,0,13,21,12,0,2,5,2,5,13
	dc.w	12,0,0,0,0,0,13,21,12,0,0,0,0,0,13
	dc.w	14,15,15,15,15,15,16,21,14,15,15,15,15,15,16
	dc.w	0	;number of enemy1s
	dc.w	3	;number of enemy2s
	dc.w	6	;number of enemy3s
	dc.w	0	;number of enemy4s
	dc.w	0	;number of enemy5s

bomberd1@0020:
level10_map:
	dc.w	5
	dc.w	9	;map_width
	dc.w	13	;map_height
	dc.w	7	;player_x
	dc.w	11	;player_y
	dc.w	9,10,10,10,10,10,10,10,11
	dc.w	12,0,0,5,5,5,2,5,23
	dc.w	22,0,2,5,2,5,5,5,13
	dc.w	12,5,5,5,5,5,2,5,23
	dc.w	22,5,2,5,20,19,5,5,13
	dc.w	12,5,5,5,13,14,15,15,16
	dc.w	22,5,2,5,18,10,10,10,11
	dc.w	12,5,5,5,5,5,5,5,23
	dc.w	22,5,2,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,5,5,23
	dc.w	22,5,2,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,5,5,23
	dc.w	14,15,15,15,15,15,15,15,16
	dc.w	0	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	1	;number of enemy3s
	dc.w	5	;number of enemy4s
	dc.w	0	;number of enemy5s
bomberd1@0021:
level11_map:
	dc.w	5
	dc.w	21	;map_width
	dc.w	15	;map_height
	dc.w	10	;player_x
	dc.w	6	;player_y
	dc.w	21,21,9,10,10,10,10,10,10,10,11,21,9,10,10,10,10,10,10,10,11
	dc.w	21,21,12,5,5,5,5,5,5,5,13,21,12,5,5,5,5,5,5,5,13
	dc.w	9,10,17,5,2,5,2,5,2,5,18,10,17,5,2,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,20,15,15,15,15,15,15,15,19,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,13,9,10,10,10,10,10,11,12,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,23,22,2,1,0,0,2,23,22,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,13,12,5,5,2,0,1,13,12,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,23,22,5,2,5,2,5,23,22,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,13,12,5,5,5,5,5,13,12,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,18,17,5,2,5,2,5,18,17,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	14,15,19,5,2,5,2,5,2,5,2,5,2,5,2,5,2,5,20,15,16
	dc.w	21,21,12,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,13,21,21
	dc.w	21,21,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,21,21
	dc.w	0	;number of enemy1s
	dc.w	1	;number of enemy2s
	dc.w	2	;number of enemy3s
	dc.w	7	;number of enemy4s
	dc.w	0	;number of enemy5s
bomberd1@0022:
level12_map:
	dc.w	5
	dc.w	15	;map_width
	dc.w	15	;map_height
	dc.w	8	;player_x
	dc.w	7	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,10,10,10,10,11
	dc.w	22,5,5,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,2,5,2,5,2,5,2,5,23
	dc.w	22,5,5,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	12,5,2,5,20,15,15,15,15,15,19,5,2,5,23
	dc.w	22,5,5,5,18,10,10,10,10,11,12,5,5,5,13
	dc.w	12,5,2,5,5,5,5,0,0,13,22,5,2,5,23
	dc.w	22,5,5,2,5,2,5,2,0,23,12,5,5,5,13
	dc.w	12,2,5,5,5,5,5,5,5,13,22,5,2,5,23
	dc.w	14,15,15,15,15,15,15,15,15,16,12,5,5,5,13
	dc.w	9,10,10,10,10,10,10,10,10,10,17,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,2,5,2,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	14,15,15,15,15,15,15,15,15,15,15,15,15,15,16
	dc.w	0	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	2	;number of enemy3s
	dc.w	8	;number of enemy4s
	dc.w	0	;number of enemy5s
bomberd1@0023:
level13_map:
	dc.w	4
	dc.w	11	;map_width
	dc.w	11	;map_height
	dc.w	9	;player_x
	dc.w	9	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,11
	dc.w	12,2,5,5,5,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,2,5,2,5,13
	dc.w	12,5,5,2,5,5,5,5,5,5,13
	dc.w	12,5,2,5,20,15,19,5,2,5,13
	dc.w	12,5,5,5,13,21,12,5,5,5,13
	dc.w	12,5,2,5,18,10,17,5,2,5,13
	dc.w	12,5,5,5,5,5,5,2,5,1,13
	dc.w	12,5,2,5,2,5,2,5,2,0,13
	dc.w	12,5,5,5,5,5,5,1,0,0,13
	dc.w	14,15,15,15,15,15,15,15,15,15,16
	dc.w	0	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	1	;number of enemy3s
	dc.w	1	;number of enemy4s
	dc.w	4	;number of enemy5s
bomberd1@0024:
level14_map:
	dc.w	4
	dc.w	25	;map_width
	dc.w	11	;map_height
	dc.w	1	;player_x
	dc.w	4	;player_y
	dc.w	21,21,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11
	dc.w	21,21,12,1,1,0,0,0,0,0,1,1,1,0,0,0,0,0,1,1,1,0,0,0,13
	dc.w	21,21,12,1,2,0,2,0,2,0,2,1,2,0,2,0,2,0,2,1,2,0,2,0,13
	dc.w	9,10,17,1,1,0,0,0,0,0,1,1,1,0,0,0,0,0,1,1,1,0,0,0,13
	dc.w	12,0,0,1,2,0,2,0,2,0,2,1,2,0,2,0,2,0,2,1,2,0,2,0,13
	dc.w	12,0,2,1,1,0,0,0,0,0,1,1,1,0,0,0,0,0,1,1,1,0,0,0,13
	dc.w	12,1,1,1,2,0,2,0,2,0,2,1,2,0,2,0,2,0,2,1,2,0,2,0,13
	dc.w	14,15,19,1,1,0,0,0,0,0,1,1,1,0,0,0,0,0,1,1,1,0,0,0,13
	dc.w	21,21,12,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,13
	dc.w	21,21,12,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,13
	dc.w	21,21,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16
	dc.w	0	;number of enemy1s
	dc.w	0	;number of enemy2s
	dc.w	1	;number of enemy3s
	dc.w	2	;number of enemy4s
	dc.w	6	;number of enemy5s
bomberd1@0025:
level15_map:
	dc.w	4
	dc.w	25	;map_width
	dc.w	25	;map_height
	dc.w	12	;player_x
	dc.w	22	;player_y
	dc.w	21,21,21,21,21,9,10,10,10,10,10,10,10,10,10,10,10,10,10,11,21,21,21,21,21
	dc.w	21,21,21,21,21,12,5,5,5,5,5,5,5,5,5,5,5,5,5,13,21,21,21,21,21
	dc.w	21,21,21,21,9,17,2,5,2,5,2,5,2,5,2,5,2,5,2,18,11,21,21,21,21
	dc.w	21,21,21,21,12,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,13,21,21,21,21
	dc.w	21,21,9,10,17,5,2,5,2,5,2,5,2,5,2,5,2,5,2,5,18,10,11,21,21
	dc.w	9,10,17,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,10,11
	dc.w	12,5,2,5,2,5,20,15,15,15,19,5,2,5,20,15,15,15,19,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,13,9,10,10,17,5,5,5,18,10,10,11,12,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,13,12,2,5,5,5,2,5,5,5,2,13,12,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,13,12,5,5,2,5,5,5,2,5,5,13,12,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,13,12,5,2,5,5,2,5,5,2,5,13,12,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,13,12,5,5,5,20,15,19,5,5,5,13,12,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,13,12,5,2,5,13,21,12,5,2,5,13,12,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,13,12,5,5,5,13,21,12,5,5,5,13,12,5,5,5,5,5,13
	dc.w	12,5,2,5,2,5,13,12,5,2,5,13,21,12,5,2,5,13,12,5,2,5,2,5,13
	dc.w	12,5,5,5,5,5,13,12,5,5,5,13,21,12,5,5,5,13,12,5,5,5,5,5,13
	dc.w	14,15,19,5,2,5,13,12,5,2,5,13,21,12,5,2,5,13,12,5,2,5,20,15,16
	dc.w	21,21,12,5,5,5,13,12,5,5,5,13,21,12,5,5,5,13,12,5,5,5,13,21,21
	dc.w	21,21,14,15,15,15,16,12,5,2,5,13,21,12,5,2,5,13,14,15,15,15,16,21,21
	dc.w	21,21,21,21,21,21,21,12,5,5,5,13,21,12,5,5,5,13,21,21,21,21,21,21,21
	dc.w	21,21,21,21,21,21,21,12,5,2,1,18,10,17,1,2,5,13,21,21,21,21,21,21,21
	dc.w	21,21,21,21,21,21,21,12,5,5,1,0,0,0,1,5,5,13,21,21,21,21,21,21,21
	dc.w	21,21,21,21,21,21,21,12,5,2,1,2,0,2,1,2,5,13,21,21,21,21,21,21,21
	dc.w	21,21,21,21,21,21,21,12,5,5,1,0,0,0,1,5,5,13,21,21,21,21,21,21,21
	dc.w	21,21,21,21,21,21,21,14,15,15,15,15,15,15,15,15,15,16,21,21,21,21,21,21,21
	dc.w	1	;number of enemy1s
	dc.w	1	;number of enemy2s
	dc.w	3	;number of enemy3s
	dc.w	3	;number of enemy4s
	dc.w	7	;number of enemy5s
bomberd1@0026:
level16_map:
bomberd1@0027:
random_map:
	dc.w	1	;style
	dc.w	13	;map_width
	dc.w	13	;map_height
	dc.w	1	;player_x
	dc.w	1	;player_y
	dc.w	9,10,10,10,10,10,10,10,10,10,10,10,11
	dc.w	12,0,0,6,6,6,5,5,5,5,5,5,13
	dc.w	22,0,2,6,2,5,2,5,2,5,2,5,23
	dc.w	12,6,6,6,5,5,5,5,5,5,5,5,13
	dc.w	22,6,2,5,2,5,2,5,2,5,2,5,23
	dc.w	12,6,5,5,5,5,5,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,2,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,2,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	22,5,2,5,2,5,2,5,2,5,2,5,23
	dc.w	12,5,5,5,5,5,5,5,5,5,5,5,13
	dc.w	14,15,15,15,15,15,15,15,15,15,15,15,16
	dc.w	3	;number of enemy1s
	dc.w	3	;number of enemy2s
	dc.w	2	;number of enemy3s
	dc.w	1	;number of enemy4s
	dc.w	1	;number of enemy5s

style1:
 dc.l style1_data+832	;exp block
 dc.l style1_data+896	;unexp block
 dc.l style1_data+960	;back
 dc.l style1_data+1024	;bexp1
 dc.l style1_data+1120	;bexp2
 dc.l style1_data+1216	;bexp3
 dc.l style1_data+1312	;bexp4
 dc.l style1_data+1408	;bexp5
 dc.l style1_data		;top left
 dc.l style1_data+64	;top
 dc.l style1_data+128	;top right
 dc.l style1_data+192	;left
 dc.l style1_data+256	;right
 dc.l style1_data+320	;bottom left
 dc.l style1_data+384	;bottom
 dc.l style1_data+448	;bottom right
 dc.l style1_data+512	;top left corner
 dc.l style1_data+576	;top right corner
 dc.l style1_data+640	;bottom left corner
 dc.l style1_data+704	;bottom right corner
 dc.l style1_data+768	;outside background
 dc.l style1_data+192	;left2
 dc.l style1_data+256	;right2
style1_data:
 dc.w %1111111111111111			;top left (9)
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111100
 dc.w %1111111111111111
 dc.w %1111111111110111
 dc.w %1111111111110111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111001111
 dc.w %1111111111011110
 dc.w %1111111111111111
 dc.w %1111111111111000
 dc.w %1111111111111011
 dc.w %1111111111101011
 dc.w %1111111111111111			;top (10)
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0011110000111100
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000111100001111
 dc.w %0001111000011110
 dc.w %1111111111111111
 dc.w %0111100001111000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111		;top right (11)
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0011111111111111
 dc.w %1111111111111111
 dc.w %1111011111111111
 dc.w %1110011111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000111111111111
 dc.w %0001111111111111
 dc.w %1111111111111111
 dc.w %0111101111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111111111100111		;left (12)
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111110111
 dc.w %1111111111100111
 dc.w %1111111111100111
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111110111
 dc.w %1111111111100111
 dc.w %1111111111011011
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111111111
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111011011
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111111111
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1110011111111111			;right (13)
 dc.w %1110011111111111
 dc.w %1110111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111011111111111
 dc.w %1110011111111111
 dc.w %1110011111111111
 dc.w %1110011111111111
 dc.w %1110111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111011111111111
 dc.w %1110011111111111
 dc.w %1101101111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1111111111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1101101111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1111111111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111111111100111			;bottom left (14)
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %1111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111011011
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111111100
 dc.w %1111111111111000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111			;bottom (15)
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0011110000111100
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0001111000011110
 dc.w %1111111111111111
 dc.w %0111100001111000
 dc.w %1111000011110000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1110011111111111			;bottom right (16)
 dc.w %1110111111111111
 dc.w %1111111111111111
 dc.w %0011111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %0001111111111111
 dc.w %1111111111111111
 dc.w %0111101111111111
 dc.w %1111001111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111100111		;corner top left (17)
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111110111
 dc.w %1111111111100111
 dc.w %1111111111100111
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %1111111111111111
 dc.w %0011110000111111
 dc.w %1111111111111111
 dc.w %1111111111111110
 dc.w %1111111111111100
 dc.w %1111111111011011
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111111111
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111011011
 dc.w %1111111111011111
 dc.w %0000111100011111
 dc.w %0001111000011111
 dc.w %1111111111111111
 dc.w %0111100001111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1110011111111111		;corner top right (18)
 dc.w %1110011111111111
 dc.w %1110111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111011111111111
 dc.w %1110011111111111
 dc.w %1110011111111111
 dc.w %1110011111111111
 dc.w %1110111111111111
 dc.w %1111111111111111
 dc.w %1111110000111100
 dc.w %1111111111111111
 dc.w %0111111111111111
 dc.w %0011111111111111
 dc.w %1101101111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1111111111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1101101111111111
 dc.w %1101111111111111
 dc.w %1101111100001111
 dc.w %1101111000011110
 dc.w %1111111111111111
 dc.w %1111100001111000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111100		;corner bottom left (19)
 dc.w %1111111111111110
 dc.w %1111111111111111
 dc.w %0011110000111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111110111
 dc.w %1111111111100111
 dc.w %1111111111100111
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111110111
 dc.w %1111111111100111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0001111000011111
 dc.w %1111111111111111
 dc.w %0111100001111111
 dc.w %1111000011111011
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111011011
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111011111
 dc.w %1111111111111111
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %1111111111111011
 dc.w %0011111111111111		;corner bottom right (20)
 dc.w %0111111111111111
 dc.w %1111111111111111
 dc.w %1111111000111100
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111011111111111
 dc.w %1110011111111111
 dc.w %1110011111111111
 dc.w %1110011111111111
 dc.w %1110111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111011111111111
 dc.w %1110011111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1100111100011110
 dc.w %1101111111111111
 dc.w %1111110001111000
 dc.w %1111100011110000
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1101101111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1101111111111111
 dc.w %1111111111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111101111111111
 dc.w %1111111111111111		;outside background (21)
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110		;breakable block (1)
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111101
 dc.w %1111111111101101
 dc.w %1111111111101101
 dc.w %1111111111101101
 dc.w %1111100000001101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1110000000000011
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1110000000000101
 dc.w %1101111111111011
 dc.w %1101100000011011
 dc.w %1101100000011011
 dc.w %1101100000011011
 dc.w %1101011111111011
 dc.w %1101111111111011
 dc.w %1110000000000111
 dc.w %1101111111111101
 dc.w %1111111111111111
 dc.w %1101101101101101
 dc.w %1101101101101101
 dc.w %1101101101101101
 dc.w %1111111111111111
 dc.w %0000011111100000		;unbreakable block (2)
 dc.w %0001111111111000
 dc.w %0111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111101111
 dc.w %1111111111111011
 dc.w %1111110000111101
 dc.w %1111011111101111
 dc.w %1100011111100011
 dc.w %1100011111100011
 dc.w %1100011111100011
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111101111111
 dc.w %1111111101011111
 dc.w %1111111101001111
 dc.w %1111111101001011
 dc.w %1111111101001001
 dc.w %1111111101001001
 dc.w %1111111111111001
 dc.w %1111111001111101
 dc.w %1111101111011111
 dc.w %1110101111010111
 dc.w %1110011111100111
 dc.w %1110011111100111
 dc.w %1111111111111111
 dc.w %1100011111100011
 dc.w %0111111111111110
 dc.w %0000000100000000		;background, 0
 dc.w %0000001000000000
 dc.w %0000010000000000
 dc.w %0000100000000000
 dc.w %0001100010000000
 dc.w %0010010000000000
 dc.w %0100001000000000
 dc.w %1000000100010000
 dc.w %0000100010000001
 dc.w %0000000001000010
 dc.w %0000000000100100
 dc.w %0000000100011000
 dc.w %0000000000010000
 dc.w %0000000000100000
 dc.w %0000000001000000
 dc.w %0000000010000000
 dc.w %1111111011111111
 dc.w %1111110111111111
 dc.w %1111101111111111
 dc.w %1111011111111111
 dc.w %1110011101111111
 dc.w %1101101111111111
 dc.w %1011110111111111
 dc.w %0111111011101111
 dc.w %1111011101111110
 dc.w %1111111110111101
 dc.w %1111111111011011
 dc.w %1111111011100111
 dc.w %1111111111101111
 dc.w %1111111111011111
 dc.w %1111111110111111
 dc.w %1111111101111111
 dc.w %0111000000001110		;bexp1
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111101
 dc.w %0111111111101010
 dc.w %0111111111011010
 dc.w %0111111111011010
 dc.w %0111100000001010
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1110000000000011
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0111000000001110
 dc.w %1000111111110001
 dc.w %1010000000000101
 dc.w %1000111111110001
 dc.w %0101000000001010
 dc.w %0100100000001010
 dc.w %0100100000001010
 dc.w %0101000000001010
 dc.w %1000111111110001
 dc.w %1010000000000101
 dc.w %1000000000000001
 dc.w %1111111111111111
 dc.w %1101101101101101
 dc.w %1101101101101101
 dc.w %1101101101101101
 dc.w %0111111111111110
 dc.w %0111000000001110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0000000000000000		;bexp2
 dc.w %0011100000011100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111010
 dc.w %0011111111110100
 dc.w %0011111111010100
 dc.w %0011111111110100
 dc.w %0111111111111101
 dc.w %1111110000001101
 dc.w %1110111111110011
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111000000000110
 dc.w %0000000000000000
 dc.w %0011100000011100
 dc.w %0100011111100010
 dc.w %0101000000001010
 dc.w %0100011111100010
 dc.w %0010100000010100
 dc.w %0010000000010100
 dc.w %0010011111100100
 dc.w %0100111111110001
 dc.w %1010000000000101
 dc.w %1000111111100001
 dc.w %1111101101111111
 dc.w %1101101101101101
 dc.w %1101101101101101
 dc.w %1101111111111101
 dc.w %0111000000000110
 dc.w %0000000000000000
 dc.w %0011100000011100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0011111111111100
 dc.w %0011111111111100
 dc.w %0111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111000000000110
 dc.w %0000000000000000		;bexp3
 dc.w %0000000000000000
 dc.w %0001110000111000
 dc.w %0011111001111100
 dc.w %0011111111111100
 dc.w %0011111111111100
 dc.w %0011111110011100
 dc.w %0001110011111000
 dc.w %0011110000011010
 dc.w %0111011111101010
 dc.w %0111111111110110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111100000001110
 dc.w %0011000000001100
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001110000111000
 dc.w %0011001001001100
 dc.w %0010011111100100
 dc.w %0011100000011100
 dc.w %0010100000010100
 dc.w %0001110000111000
 dc.w %0010000000000010
 dc.w %0101011111101010
 dc.w %0100101101110010
 dc.w %0111101101111110
 dc.w %0110101101111010
 dc.w %0110111111111010
 dc.w %0110100000001010
 dc.w %0011000000001100
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001110000111000
 dc.w %0011111001111100
 dc.w %0011111111111100
 dc.w %0011111111111100
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0011111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111100000001110
 dc.w %0011000000001100
 dc.w %0000000000000000	;	bexp4
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001110000111000
 dc.w %0011111001111100
 dc.w %0011111001111100
 dc.w %0001111111111000
 dc.w %0000111001110000
 dc.w %0011111111011100
 dc.w %0111011111101010
 dc.w %0111111111110110
 dc.w %0111111111111110
 dc.w %0111111100111110
 dc.w %0111110000111110
 dc.w %0011000000001100
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001110000111000
 dc.w %0010011001100100
 dc.w %0011101001011100
 dc.w %0001100110011000
 dc.w %0000110000110000
 dc.w %0011001111001100
 dc.w %0111011111101010
 dc.w %0110101101110110
 dc.w %0111101111111110
 dc.w %0110101100111010
 dc.w %0110110000111010
 dc.w %0011000000001100
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001110000111000
 dc.w %0011111001111100
 dc.w %0011111001111100
 dc.w %0001111111111000
 dc.w %0000111111110000
 dc.w %0011111111111100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111100111110
 dc.w %0111110000111110
 dc.w %0011000000001100
 dc.w %0000000000000000
 dc.w %0000000000000000		;bexp5
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000110000110000
 dc.w %0001111001111000
 dc.w %0001111001111000
 dc.w %0000110110110000
 dc.w %0000001111000000
 dc.w %0000111111110000
 dc.w %0011011111101100
 dc.w %0111111001111110
 dc.w %0111110000111110
 dc.w %0111110000111110
 dc.w %0011100000011100
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000110000110000
 dc.w %0001001001001000
 dc.w %0001001001001000
 dc.w %0000110110110000
 dc.w %0000001001000000
 dc.w %0000110000110000
 dc.w %0011011111101100
 dc.w %0110101001010110
 dc.w %0111110000111110
 dc.w %0110110000110110
 dc.w %0011100000011100
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000110000110000
 dc.w %0001111001111000
 dc.w %0001111001111000
 dc.w %0000110110110000
 dc.w %0000001111000000
 dc.w %0000111111110000
 dc.w %0011011111101100
 dc.w %0111111001111110
 dc.w %0111110000111110
 dc.w %0111110000111110
 dc.w %0011100000011100
 dc.w %0000000000000000
 dc.w %0000000000000000

style2:
 dc.l style2_data+832	;exp block
 dc.l style2_data+896	;unexp block
 dc.l style2_data+960	;back
 dc.l style2_data+1024	;bexp1
 dc.l style2_data+1120	;bexp2
 dc.l style2_data+1216	;bexp3
 dc.l style2_data+1312	;bexp4
 dc.l style2_data+1408	;bexp5
 dc.l style2_data		;top left
 dc.l style2_data+64	;top
 dc.l style2_data+128	;top right
 dc.l style2_data+192	;left
 dc.l style2_data+256	;right
 dc.l style2_data+320	;bottom left
 dc.l style2_data+384	;bottom
 dc.l style2_data+448	;bottom right
 dc.l style2_data+512	;top left corner
 dc.l style2_data+576	;top right corner
 dc.l style2_data+640	;bottom left corner
 dc.l style2_data+704	;bottom right corner
 dc.l style2_data+768	;outside background
 dc.l style2_data+192	;left2
 dc.l style2_data+256	;right2

style2_data:
 dc.w %0000000000000000			;top left (9)
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000011111
 dc.w %0000000000111111
 dc.w %0000000001111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000			;top (10)
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000000000000		;top right (11)
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111110000000000
 dc.w %1111111000000000
 dc.w %1111111100000000
 dc.w %0000111100000000
 dc.w %0000001100000000
 dc.w %0000001100000000
 dc.w %0000000100000000
 dc.w %1110000100000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000001111111111
 dc.w %0000000111111111
 dc.w %0000000011111111
 dc.w %0001000011111111
 dc.w %0000010011111111
 dc.w %0000000011111111
 dc.w %0000001011111111
 dc.w %1000000011111111
 dc.w %0000000010000111		;left (12)
 dc.w %0000000010000111
 dc.w %0000000010000111
 dc.w %0000000010000111
 dc.w %0000000010000111
 dc.w %0000000010000111
 dc.w %0000000010000111
 dc.w %0000000010000111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111100000001
 dc.w %1111111111111101
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111100000000			;right (13)
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1110000100000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1100000011111111
 dc.w %1000000011111111
 dc.w %1000000011111111
 dc.w %1000000011111111
 dc.w %1000000011111111
 dc.w %1000000011111111
 dc.w %1000000011111111
 dc.w %1000000011111111
 dc.w %0000000010000111		;bottom left(14)
 dc.w %0000000010000000
 dc.w %0000000011000000
 dc.w %0000000011000000
 dc.w %0000000011110000
 dc.w %0000000011111111
 dc.w %0000000001111111
 dc.w %0000000000111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111100000001
 dc.w %1111111101000000
 dc.w %1111111100000000
 dc.w %1111111100100000
 dc.w %1111111100001000
 dc.w %1111111100000000
 dc.w %1111111110000000
 dc.w %1111111111000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111		;bottom(15)
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111100000000			;bottom right (16)
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111000000000
 dc.w %1111110000000000
 dc.w %1111100000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000011100001		;corner top left (17)
 dc.w %0000000011100001
 dc.w %0000000011100001
 dc.w %0000000011100001
 dc.w %0000000011100001
 dc.w %0000000011100001
 dc.w %0000000011100001
 dc.w %0000000011100001
 dc.w %1111111111111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %1111111111111110
 dc.w %1111111111111101
 dc.w %1111111111111010
 dc.w %1111111111000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111110000000
 dc.w %1111111111111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111110
 dc.w %1111111111111101
 dc.w %1111111100000000		;corner top right (18)
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1000011111111111
 dc.w %1000000011111111
 dc.w %1100000011111111
 dc.w %1100000011111111
 dc.w %1111000011111111
 dc.w %1111111111111111
 dc.w %0111111111111111
 dc.w %1011111111111111
 dc.w %1111110111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000111111111
 dc.w %0100000011111111
 dc.w %0000000011111111
 dc.w %0010000011111111
 dc.w %0000100011111111
 dc.w %0000000011111111
 dc.w %1000000011111111
 dc.w %0100000011111111
 dc.w %1111111111111101		;corner bottom left (19)
 dc.w %1111111111111110
 dc.w %1111111111111111
 dc.w %1111111100001111
 dc.w %1111111100000011
 dc.w %1111111100000011
 dc.w %1111111100000001
 dc.w %1111111111100001
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %1111111100000010
 dc.w %1111111100000001
 dc.w %1111111100000000
 dc.w %1111111100010000
 dc.w %1111111100000100
 dc.w %1111111100000000
 dc.w %1111111100000010
 dc.w %1111111110000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0101111111111111		;corner bottom right(20)
 dc.w %1011111111111111
 dc.w %0111111111111111
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111111111111
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1000011100000000
 dc.w %1011111111111111
 dc.w %0111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111100000000
 dc.w %1111111111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000111111111
 dc.w %0000000000000000		;outside background (21)
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0101011111110101		;breakable block (1)
 dc.w %1011111111111010
 dc.w %0111111111111101
 dc.w %0111111111111110
 dc.w %1111111111111011
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111001111111
 dc.w %1110111111111111
 dc.w %1111011111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111110
 dc.w %0111111111111101
 dc.w %1010111111111010
 dc.w %1010101111001010
 dc.w %0101111110011101
 dc.w %1011111111100110
 dc.w %1110111111110011
 dc.w %0101111111111101
 dc.w %1001111111111001
 dc.w %1001111111111001
 dc.w %1000110110111001
 dc.w %1101001111110011
 dc.w %1110100000000111
 dc.w %1111100000011111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0111111111111111
 dc.w %1001111111111010
 dc.w %0101011111100101
 dc.w %0101010111010101		;unbreakable block (2)
 dc.w %1010101111101010
 dc.w %0111111111111111
 dc.w %1111111111111111
 dc.w %1111111101111111
 dc.w %1111111000111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111011111
 dc.w %1111110000011111
 dc.w %1111111000111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1010101110101010
 dc.w %0101011111010101
 dc.w %1111111101111110
 dc.w %1111111100111111
 dc.w %1111110010111111
 dc.w %1111110111111001
 dc.w %1111111100111101
 dc.w %1111111100001101
 dc.w %1111000110101101
 dc.w %1111001111101101
 dc.w %1111100111001101
 dc.w %1111111110001101
 dc.w %1111111100111101
 dc.w %1111111111111101
 dc.w %1100000000000011
 dc.w %0111111111111110
 dc.w %0101010101010101		;background(0)
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %1010101010101010
 dc.w %0101010101010101
 dc.w %0000011111000000	;bexp1
 dc.w %0000111111110000
 dc.w %0010111111110100
 dc.w %0111111111111110
 dc.w %1101111111111100
 dc.w %1111111111111100
 dc.w %1111111001111110
 dc.w %1111110000111110
 dc.w %1110111111111011
 dc.w %1111001111111111
 dc.w %1111110011111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0110111111110010
 dc.w %0001111111111000
 dc.w %0000011011100000
 dc.w %0000011111000000
 dc.w %0000111000010000
 dc.w %0010101110001000
 dc.w %0101100111000110
 dc.w %1111011111100100
 dc.w %1000111111111100
 dc.w %1010111001110110
 dc.w %1111110000100010
 dc.w %1001000000000101
 dc.w %1100110000000001
 dc.w %1111001100001111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0110111111110010
 dc.w %0001111011111000
 dc.w %0000010101100000
 dc.w %0000011111000000
 dc.w %0000111111110000
 dc.w %0010111111111100
 dc.w %0111111111111110
 dc.w %1111111111111100
 dc.w %1111111111111100
 dc.w %1111111001111110
 dc.w %1111110000111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111110010
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000		;bexp2
 dc.w %0000111111110000
 dc.w %0000111111111000
 dc.w %0010111111101100
 dc.w %0111111111111100
 dc.w %0111111111111100
 dc.w %0111110000111100
 dc.w %0111100000111110
 dc.w %1111111111111010
 dc.w %0111111111111110
 dc.w %0111110011111110
 dc.w %0111111111111110
 dc.w %0111011111111010
 dc.w %0110101111100000
 dc.w %0010111111110000
 dc.w %0000011011100000
 dc.w %0000000000000000
 dc.w %0000111111110000
 dc.w %0000111110011000
 dc.w %0010101111010100
 dc.w %0101011111100100
 dc.w %0101111111111100
 dc.w %0110110000111100
 dc.w %0111100000110010
 dc.w %1111110001100100
 dc.w %0111100000100000
 dc.w %0111001100001110
 dc.w %0111111111111110
 dc.w %0111011111111010
 dc.w %0110101111100000
 dc.w %0010111011110000
 dc.w %0000011101100000
 dc.w %0000000000000000
 dc.w %0000111111110000
 dc.w %0000111111111000
 dc.w %0010111111111100
 dc.w %0111111111111100
 dc.w %0111111111111100
 dc.w %0111110000111100
 dc.w %0111100000111110
 dc.w %1111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111011111111010
 dc.w %0110101111100000
 dc.w %0010111111110000
 dc.w %0000011111100000
 dc.w %0000000000000000		;bexp3
 dc.w %0000000011100000
 dc.w %0000111111110000
 dc.w %0001111111011000
 dc.w %0101011111111100
 dc.w %0111111110111100
 dc.w %0111110000111100
 dc.w %0011100000011110
 dc.w %0001111001110110
 dc.w %0101111111111110
 dc.w %0101110011111100
 dc.w %1111101111111110
 dc.w %0111001111101100
 dc.w %0010000110000100
 dc.w %0000001111100000
 dc.w %0000000111000000
 dc.w %0000000000000000
 dc.w %0000000011100000
 dc.w %0000111110010000
 dc.w %0001101111101000
 dc.w %0101111111111100
 dc.w %0110111110111100
 dc.w %0110110000111100
 dc.w %0011100000010010
 dc.w %0001111001101000
 dc.w %0101100111000010
 dc.w %0101001100011100
 dc.w %1111101111111110
 dc.w %0111001111101100
 dc.w %0010000110000100
 dc.w %0000001111100000
 dc.w %0000000111000000
 dc.w %0000000000000000
 dc.w %0000000011100000
 dc.w %0000111111110000
 dc.w %0001111111111000
 dc.w %0101111111111100
 dc.w %0111111110111100
 dc.w %0111110000111100
 dc.w %0011100000011110
 dc.w %0001111001111110
 dc.w %0101111111111110
 dc.w %0101111111111100
 dc.w %1111101111111110
 dc.w %0111001111101100
 dc.w %0010000110000100
 dc.w %0000001111100000
 dc.w %0000000111000000
 dc.w %0000000000000000	;bexp4
 dc.w %0000000001100000
 dc.w %0001110111110000
 dc.w %0011011111111000
 dc.w %0011111011111100
 dc.w %0011101110011100
 dc.w %0011000000001100
 dc.w %0001000000011110
 dc.w %0001111001111110
 dc.w %0000111111111110
 dc.w %0111110111111100
 dc.w %0111011111101100
 dc.w %0001001111001000
 dc.w %0001000010000000
 dc.w %0000001111000000
 dc.w %0000000110000000
 dc.w %0000000000000000
 dc.w %0000000001100000
 dc.w %0001110110010000
 dc.w %0010101111001000
 dc.w %0011111011110100
 dc.w %0011101110011100
 dc.w %0011000000001100
 dc.w %0001000000011010
 dc.w %0001111001100000
 dc.w %0000100111110110
 dc.w %0111101011111100
 dc.w %0111011111101100
 dc.w %0001001111001000
 dc.w %0001000010000000
 dc.w %0000001111000000
 dc.w %0000000110000000
 dc.w %0000000000000000
 dc.w %0000000001100000
 dc.w %0001110111110000
 dc.w %0011111111111000
 dc.w %0011111111111100
 dc.w %0011101110011100
 dc.w %0011000000001100
 dc.w %0001000000011110
 dc.w %0001111001111110
 dc.w %0000111111111110
 dc.w %0111111111111100
 dc.w %0111011111101100
 dc.w %0001001111001000
 dc.w %0001000010000000
 dc.w %0000001111000000
 dc.w %0000000110000000
 dc.w %0000000000000000	;bexp5
 dc.w %0000001001100000
 dc.w %0000111011110000
 dc.w %0010111001101000
 dc.w %0011000000011100
 dc.w %0011000110000100
 dc.w %0010000000000000
 dc.w %0010000000000100
 dc.w %0001000000011110
 dc.w %0001111100111110
 dc.w %0011111111011110
 dc.w %0011111111110100
 dc.w %0011111111100000
 dc.w %0001010111000000
 dc.w %0000001110000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000001001100000
 dc.w %0000111010010000
 dc.w %0010101001111000
 dc.w %0001000000011100
 dc.w %0011000110000100
 dc.w %0010000000000000
 dc.w %0010000000000000
 dc.w %0001000000000000
 dc.w %0001101100110110
 dc.w %0011000011011110
 dc.w %0011111111110100
 dc.w %0011111111100000
 dc.w %0001010111000000
 dc.w %0000001110000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000001001100000
 dc.w %0000111011110000
 dc.w %0010111001111000
 dc.w %0011000000011100
 dc.w %0011000110000100
 dc.w %0010000000000000
 dc.w %0010000000000100
 dc.w %0001000000011110
 dc.w %0001111100111110
 dc.w %0011111111111110
 dc.w %0011111111110100
 dc.w %0011111111100000
 dc.w %0001011111000000
 dc.w %0000001110000000
 dc.w %0000000000000000

style3:
 dc.l style3_data+64*1				;exp block
 dc.l style3_data+64*2				;unexp block
 dc.l style3_data+64*3				;back
 dc.l style3_data+64*4				;bexp1
 dc.l style3_data+64*4+96*1		;bexp2
 dc.l style3_data+64*4+96*2		;bexp3
 dc.l style3_data+64*4+96*3		;bexp4
 dc.l style3_data+64*4+96*4		;bexp5
 dc.l style3_data+64*0				;top left 
 dc.l style3_data+64*0				;top
 dc.l style3_data+64*0				;top right
 dc.l style3_data+64*0				;left
 dc.l style3_data+64*0				;right
 dc.l style3_data+64*0				;bottom left
 dc.l style3_data+64*0				;bottom
 dc.l style3_data+64*0				;bottom right
 dc.l style3_data+64*0				;top left corner
 dc.l style3_data+64*0				;top right corner
 dc.l style3_data+64*0				;bottom left corner
 dc.l style3_data+64*0				;bottom right corner
 dc.l style3_data+64*0				;outside background
 dc.l style3_data+64*0				;left2
 dc.l style3_data+64*0				;right2

style3_data:
 dc.w %1111111111111111		;out bk
 dc.w %1000000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1100000000000001
 dc.w %1111111111111101
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1100000000000011
 dc.w %1110000000000111
 dc.w %1110111111110111
 dc.w %1110100110010111
 dc.w %1110110111010111
 dc.w %1110111111110111
 dc.w %1110100110010111
 dc.w %1110110111010111
 dc.w %1110111111110111
 dc.w %1110000000000111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1000000000110000		;exp-block
 dc.w %1000000000110000
 dc.w %1000000000110000
 dc.w %1000000000110000
 dc.w %1000000000111111
 dc.w %1111111111111111
 dc.w %0001000000000100
 dc.w %0001000000000100
 dc.w %0001000000000100
 dc.w %0001000000000100
 dc.w %1111111111111111
 dc.w %0000001000001000
 dc.w %0000001000001000
 dc.w %0000001000001000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1000000000111111
 dc.w %1000000000111111
 dc.w %1000000000111111
 dc.w %1000000000111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111100000000111
 dc.w %1111100000000111
 dc.w %1111100000000111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000001111111000
 dc.w %0000001111111000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1000000000000000		;unexp-block
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1100000000000000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000		;bk
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1100000000000011
 dc.w %0110000000000110
 dc.w %0011000000001100
 dc.w %0001100000011000
 dc.w %0000110000110000
 dc.w %0000011001100000
 dc.w %0000001111000000
 dc.w %0000001111000000
 dc.w %0000001111000000
 dc.w %0000011001100000
 dc.w %0000110000110000
 dc.w %0001100000011000
 dc.w %0011000000001100
 dc.w %0110000000000110
 dc.w %1100000000000011
 dc.w %1100000000000011
 dc.w %0101111101110100		;bexp1
 dc.w %1111111111111010
 dc.w %0111000011111111
 dc.w %1111110111011110
 dc.w %1111111110001111
 dc.w %0111111111101111
 dc.w %1100011111111111
 dc.w %1110110000011110
 dc.w %1111100000000111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1000001111111100
 dc.w %1100001111111100
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0011111111111111
 dc.w %0101111101110100
 dc.w %1111000000110010
 dc.w %0110111101110011
 dc.w %1000001011010010
 dc.w %1001100110001111
 dc.w %0111111111101111
 dc.w %0100010000011100
 dc.w %0010101111101100
 dc.w %0001011111111100
 dc.w %0001000000000100
 dc.w %1111111111111111
 dc.w %0111111000111011
 dc.w %0011111000011011
 dc.w %1000001000001000
 dc.w %1111111111111111
 dc.w %0011111111111111
 dc.w %0101111101110100
 dc.w %1111111111111010
 dc.w %0111111111111111
 dc.w %1111111111011110
 dc.w %1111111110001111
 dc.w %0111111111101111
 dc.w %1100011111111111
 dc.w %1110111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0011111111111111
 dc.w %0000001000000000		;bexp2
 dc.w %0000100011100001
 dc.w %1010111111101100
 dc.w %0101111111000110
 dc.w %0111111110001110
 dc.w %0000000000101110
 dc.w %0010000111000110
 dc.w %0111001111100101
 dc.w %0111100000011111
 dc.w %1111111111110101
 dc.w %0111111111100011
 dc.w %1100001111100101
 dc.w %1100001111101101
 dc.w %0101111111111101
 dc.w %0011111111111110
 dc.w %0101011101110110
 dc.w %0000001000000000
 dc.w %0000100010100001
 dc.w %1011111101101100
 dc.w %0110110011000010
 dc.w %0111110110001100
 dc.w %0000000000101110
 dc.w %0010000111000110
 dc.w %0001001111100101
 dc.w %0011011111101100
 dc.w %0001000000110100
 dc.w %0111111111100011
 dc.w %1011111001100110
 dc.w %1011111000101010
 dc.w %0100001000011001
 dc.w %0011111111111110
 dc.w %0101011101110110
 dc.w %0000001000000000
 dc.w %0000100011100001
 dc.w %1011111111101100
 dc.w %0111111111000110
 dc.w %0111111110001110
 dc.w %0000000000101110
 dc.w %0010000111000110
 dc.w %0111001111100101
 dc.w %0111111111111111
 dc.w %1111111111110101
 dc.w %0111111111100011
 dc.w %1111111111100111
 dc.w %1111111111101111
 dc.w %0101111111111101
 dc.w %0011111111111110
 dc.w %0101011101110110
 dc.w %0000000000000000		;bexp3
 dc.w %0000000000100000
 dc.w %0001110000000000
 dc.w %0011111111101000
 dc.w %0001111111101100
 dc.w %0010000111001100
 dc.w %0100000000000100
 dc.w %0000011111001000
 dc.w %0011111001111110
 dc.w %1000011111110110
 dc.w %0111111111100010
 dc.w %0111111111100100
 dc.w %0011111111101100
 dc.w %0111111011110110
 dc.w %1001110011110100
 dc.w %0000001000001000
 dc.w %0000000000000000
 dc.w %0000000000100000
 dc.w %0001110000000000
 dc.w %0011011111101000
 dc.w %0000111100101000
 dc.w %0010000111001100
 dc.w %0100000000000100
 dc.w %0000011001001000
 dc.w %0000111110011100
 dc.w %1000011000110110
 dc.w %0111111111100010
 dc.w %0110001001100110
 dc.w %0000001000101010
 dc.w %0101011001010000
 dc.w %1001110011110100
 dc.w %0000001000001000
 dc.w %0000000000000000
 dc.w %0000000000100000
 dc.w %0001110000000000
 dc.w %0011111111101000
 dc.w %0001111111101100
 dc.w %0010000111001100
 dc.w %0100000000000100
 dc.w %0000011111001000
 dc.w %0011111111111110
 dc.w %1000011111110110
 dc.w %0111111111100010
 dc.w %0111111111100110
 dc.w %0011111111101110
 dc.w %0111111011110110
 dc.w %1001110011110100
 dc.w %0000001000001000
 dc.w %0000000000000000		;bexp4
 dc.w %0000000000000000
 dc.w %0000000100000000
 dc.w %0000010000000000
 dc.w %0001011011001000
 dc.w %0001101011011000
 dc.w %0000000000011000
 dc.w %0010001111000010
 dc.w %0001011111101100
 dc.w %0011101111000000
 dc.w %0001000000010000
 dc.w %0011101110001100
 dc.w %0011110111011100
 dc.w %0001111011011000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000100000000
 dc.w %0000010000000000
 dc.w %0001010011001000
 dc.w %0001101011010000
 dc.w %0000000000011000
 dc.w %0010001111000010
 dc.w %0001011000101100
 dc.w %0010101111000000
 dc.w %0001000000010000
 dc.w %0010101100001100
 dc.w %0011110101010100
 dc.w %0001101011011000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000100000000
 dc.w %0000010000000000
 dc.w %0001011011001000
 dc.w %0001101011011000
 dc.w %0000000000011000
 dc.w %0010001111000010
 dc.w %0001011111101100
 dc.w %0011101111000000
 dc.w %0001000000010000
 dc.w %0011101110001100
 dc.w %0011110111011100
 dc.w %0001111011011000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000		;bexp5
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000100100000000
 dc.w %0000110001100000
 dc.w %0001000000000000
 dc.w %0000011011000000
 dc.w %0000011110100000
 dc.w %0000000100000000
 dc.w %0001100110111000
 dc.w %0001110110110000
 dc.w %0000110000001000
 dc.w %0000000001000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000100100000000
 dc.w %0000100001100000
 dc.w %0001000000000000
 dc.w %0000011001000000
 dc.w %0000011000100000
 dc.w %0000000100000000
 dc.w %0000100110001000
 dc.w %0001000110110000
 dc.w %0000110000001000
 dc.w %0000000001000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000100100000000
 dc.w %0000110001100000
 dc.w %0001000000000000
 dc.w %0000011011000000
 dc.w %0000011110100000
 dc.w %0000000100000000
 dc.w %0001100110111000
 dc.w %0001110110110000
 dc.w %0000110000001000
 dc.w %0000000001000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000

style4:
 dc.l style4_data+832	;exp block
 dc.l style4_data+896	;unexp block
 dc.l style4_data+960	;back
 dc.l style4_data+1024	;bexp1
 dc.l style4_data+1120	;bexp2
 dc.l style4_data+1216	;bexp3
 dc.l style4_data+1312	;bexp4
 dc.l style4_data+1408	;bexp5
 dc.l style4_data		;top left
 dc.l style4_data+64	;top
 dc.l style4_data+128	;top right
 dc.l style4_data+192	;left
 dc.l style4_data+256	;right
 dc.l style4_data+320	;bottom left
 dc.l style4_data+384	;bottom
 dc.l style4_data+448	;bottom right
 dc.l style4_data+512	;top left corner
 dc.l style4_data+576	;top right corner
 dc.l style4_data+640	;bottom left corner
 dc.l style4_data+704	;bottom right corner
 dc.l style4_data+768	;outside background
 dc.l style4_data+192	;left2
 dc.l style4_data+256	;right2

style4_data:
 dc.w %0000000000000000		;top-left
 dc.w %0110101010101010
 dc.w %0101010101010101
 dc.w %0110101010101010
 dc.w %0101010101010101
 dc.w %0110101010101010
 dc.w %0101010000000000
 dc.w %0110100111111111
 dc.w %0101010111111111
 dc.w %0110100111111111
 dc.w %0101010111111111
 dc.w %0110100111111111
 dc.w %0101010111111111
 dc.w %0110100111111111
 dc.w %0101010111111110
 dc.w %0110100111111101
 dc.w %1111111111111111
 dc.w %1001010101010101
 dc.w %1010101010101010
 dc.w %1001010101010101
 dc.w %1010101010101010
 dc.w %1001010101010101
 dc.w %1010101111111111
 dc.w %1001011100000000
 dc.w %1010101010000000
 dc.w %1001011001111111
 dc.w %1010101001100000
 dc.w %1001011001010000
 dc.w %1010101001001000
 dc.w %1001011001000100
 dc.w %1010101001000011
 dc.w %1001011001000011
 dc.w %0000000000000000		;top
 dc.w %1011000000001101
 dc.w %0101000000001010
 dc.w %1011000000001101
 dc.w %0101000000001010
 dc.w %1011011111101101
 dc.w %0000011111100000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111100000011111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1110000000000111
 dc.w %0001111111111000
 dc.w %1111111111111111
 dc.w %1111100000011111
 dc.w %0100100000010010
 dc.w %1010100000010101
 dc.w %0100100000010010
 dc.w %1010111111110101
 dc.w %0100100000010010
 dc.w %1111100000011111
 dc.w %0000100000010000
 dc.w %0000100000010000
 dc.w %1110100000010111
 dc.w %0010111111110100
 dc.w %0010000000000100
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %1110000000000111
 dc.w %0000000000000000
 dc.w %0000000000000000		;top-right
 dc.w %0101010101010110
 dc.w %1010101010101010
 dc.w %0101010101010110
 dc.w %1010101010101010
 dc.w %0101010101010110
 dc.w %0000000000101010
 dc.w %1111111110010110
 dc.w %1111111110101010
 dc.w %1111111110010110
 dc.w %1111111110101010
 dc.w %1111111110010110
 dc.w %1111111110101010
 dc.w %1111111110010110
 dc.w %0111111110101010
 dc.w %1011111110010110
 dc.w %1111111111111111
 dc.w %1010101010101001
 dc.w %0101010101010101
 dc.w %1010101010101001
 dc.w %0101010101010101
 dc.w %1010101010101001
 dc.w %1111111111010101
 dc.w %0000000011101001
 dc.w %0000000101010101
 dc.w %1111111001101001
 dc.w %0000011001010101
 dc.w %0000101001101001
 dc.w %0001001001010101
 dc.w %0010001001101001
 dc.w %1100001001010101
 dc.w %1100001001101001
 dc.w %0101010111111101		;left
 dc.w %0110100111111101
 dc.w %0101010111111101
 dc.w %0110100111111101
 dc.w %0000000111111101
 dc.w %1111111111111101
 dc.w %0111111111111101
 dc.w %0011111111111101
 dc.w %0001111111111101
 dc.w %0001111110111101
 dc.w %0001111110111101
 dc.w %0000000110111011
 dc.w %0111110110111011
 dc.w %0110100110111011
 dc.w %0101010111111011
 dc.w %0110100111111011
 dc.w %1010101001000010
 dc.w %1001011001000010
 dc.w %1010101001000010
 dc.w %1001011001000010
 dc.w %1111111001000010
 dc.w %0111111000100010
 dc.w %0011111100010010
 dc.w %0001111110010010
 dc.w %0000111111010010
 dc.w %0001000001010010
 dc.w %0001000001010010
 dc.w %1111111001010100
 dc.w %1000001101010100
 dc.w %1001011011010100
 dc.w %1010101001010100
 dc.w %1001011000010100
 dc.w %1011111110101010		;right
 dc.w %1011111110010110
 dc.w %1011111110101010
 dc.w %1011111110010110
 dc.w %1011111110000000
 dc.w %1011111111111111
 dc.w %1011111111111110
 dc.w %1011111111111100
 dc.w %1011111111111000
 dc.w %1011110111111000
 dc.w %1011110111111000
 dc.w %1101110110000000
 dc.w %1101110110101010
 dc.w %1101110110010110
 dc.w %1101111110101010
 dc.w %1101111110010110
 dc.w %0100001001010101
 dc.w %0100001001101001
 dc.w %0100001001010101
 dc.w %0100001001101001
 dc.w %0100001001111111
 dc.w %0100010001111110
 dc.w %0100100011111100
 dc.w %0100100111111000
 dc.w %0100101111110000
 dc.w %0100101000001000
 dc.w %0100101000001000
 dc.w %0010101001111111
 dc.w %0010101011010101
 dc.w %0010101101101001
 dc.w %0010101001010101
 dc.w %0010100001101001
 dc.w %0101010000000000		;bottom-right
 dc.w %0110101111111111
 dc.w %0101010101010101
 dc.w %0110101010101010
 dc.w %0101010101010101
 dc.w %0110101010101010
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %0111111111111111
 dc.w %0011111111111111
 dc.w %0001111111111111
 dc.w %0000111111111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1010101111111111
 dc.w %1001010000000000
 dc.w %1010101010101010
 dc.w %1001010101010101
 dc.w %1010101010101010
 dc.w %1001010101010101
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111111
 dc.w %0011111111111111
 dc.w %0001111111111111
 dc.w %0000111111111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000		;bottom
 dc.w %1111000000001111
 dc.w %0101000000001010
 dc.w %1011000000001101
 dc.w %0101011111101010
 dc.w %1011011111101101
 dc.w %0000011111100000
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111100000011111
 dc.w %0000100000010000
 dc.w %1010100000010101
 dc.w %0100111111110010
 dc.w %1010100000010101
 dc.w %0100100000010010
 dc.w %1111100000011111
 dc.w %1111100000011111
 dc.w %1111100000011111
 dc.w %1111100000011111
 dc.w %1111100000011111
 dc.w %1111111111111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000101010		;bottom-right
 dc.w %1111111111010110
 dc.w %1010101010101010
 dc.w %0101010101010110
 dc.w %1010101010101010
 dc.w %0101010101010110
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %1111111111111110
 dc.w %1111111111111100
 dc.w %1111111111111000
 dc.w %1111111111110000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111010101
 dc.w %0000000000101001
 dc.w %0101010101010101
 dc.w %1010101010101001
 dc.w %0101010101010101
 dc.w %1010101010101001
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111110
 dc.w %1111111111111100
 dc.w %1111111111111000
 dc.w %1111111111110000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0101010111111101		;corner top-left
 dc.w %1110100111111101
 dc.w %0101010111111101
 dc.w %1010100111111101
 dc.w %0101010111111101
 dc.w %1010100111111101
 dc.w %0000000111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %0000000000000010
 dc.w %1111111111111100
 dc.w %1010101001000010
 dc.w %0001011001000010
 dc.w %1010101001000010
 dc.w %0101011001000010
 dc.w %1010101001000010
 dc.w %0101011001000010
 dc.w %1111111001000010
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %1111111110000010
 dc.w %0000000001000010
 dc.w %0000000000100010
 dc.w %0000000000010010
 dc.w %0000000000001010
 dc.w %1111111111111100
 dc.w %1111111111111100
 dc.w %1011111110101010		;corner top-right
 dc.w %1011111110010111
 dc.w %1011111110101010
 dc.w %1011111110010101
 dc.w %1011111110101010
 dc.w %1011111110010101
 dc.w %1011111110000000
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %0100000000000000
 dc.w %0011111111111111
 dc.w %0100001001010101
 dc.w %0100001001101000
 dc.w %0100001001010101
 dc.w %0100001001101010
 dc.w %0100001001010101
 dc.w %0100001001101010
 dc.w %0100001001111111
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %0100000111111111
 dc.w %0100001000000000
 dc.w %0100010000000000
 dc.w %0100100000000000
 dc.w %0101000000000000
 dc.w %0011111111111111
 dc.w %0011111111111111
 dc.w %0000000100000000		;corner bottom-left
 dc.w %1111110110000000
 dc.w %1010110111000000
 dc.w %0101010111100000
 dc.w %1010110111110000
 dc.w %0101010111111000
 dc.w %0000000111111100
 dc.w %1111111111111110
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %1111111111111101
 dc.w %0000000110111011
 dc.w %0111110110111011
 dc.w %0110100110111011
 dc.w %0101010111111011
 dc.w %0110100111111011
 dc.w %1111111100000000
 dc.w %0000001010000000
 dc.w %0101001001000000
 dc.w %1010101001100000
 dc.w %0101001001010000
 dc.w %1010101001001000
 dc.w %1111111001000100
 dc.w %1111111000100010
 dc.w %1111111100010011
 dc.w %1111111110010010
 dc.w %1111111111010010
 dc.w %1111111001010100
 dc.w %1000001101010100
 dc.w %1001011011010100
 dc.w %1010101001010100
 dc.w %1001011000010100
 dc.w %0000000010000000		;corner bottom-right
 dc.w %0000000110111111
 dc.w %0000001110110101
 dc.w %0000011110101010
 dc.w %0000111110110101
 dc.w %0001111110101010
 dc.w %0011111110000000
 dc.w %0111111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1011111111111111
 dc.w %1101110110000000
 dc.w %1101110110111110
 dc.w %1101110110010110
 dc.w %1101111110101010
 dc.w %1101111110010110
 dc.w %0000000011111111
 dc.w %0000000101000000
 dc.w %0000001001001010
 dc.w %0000011001010101
 dc.w %0000101001001010
 dc.w %0001001001010101
 dc.w %0010001001111111
 dc.w %0100010001111111
 dc.w %1100100011111111
 dc.w %0100100111111111
 dc.w %0100101111111111
 dc.w %0010101001111111
 dc.w %0010101011000001
 dc.w %0010101101101001
 dc.w %0010101001010101
 dc.w %0010100001101001
 dc.w %0000000000000000		;out-bk
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000110000001		;break block
 dc.w %1000000110000001
 dc.w %1000000110011001
 dc.w %1001100110111101
 dc.w %1011110111111111
 dc.w %1111111111111111
 dc.w %1000000111111111
 dc.w %1000000110000001
 dc.w %1001100110000001
 dc.w %1011110110011001
 dc.w %1111111110111101
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000010000001
 dc.w %1000000111100111
 dc.w %1110011111100111
 dc.w %1110011111000011
 dc.w %1100001110000001
 dc.w %1000000111111111
 dc.w %1000000111111111
 dc.w %1110011110000001
 dc.w %1110011111100111
 dc.w %1100001111100111
 dc.w %1000000111000011
 dc.w %1111111110000001
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111		;unbreak block
 dc.w %1100000000000011
 dc.w %1111000000001111
 dc.w %1111011111101111
 dc.w %1111011111101111
 dc.w %1111011111101111
 dc.w %1111011111101111
 dc.w %1111011111101111
 dc.w %1111011111101111
 dc.w %1111000000001111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000
 dc.w %1111111111111111
 dc.w %1011111111111101
 dc.w %1000000000000001
 dc.w %1000011111100001
 dc.w %1010010001100101
 dc.w %1010010011100101
 dc.w %1010010111100101
 dc.w %1010111111110101
 dc.w %1010111111110101
 dc.w %1010111111110101
 dc.w %1000111111110001
 dc.w %1001111111111001
 dc.w %1011111001111101
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000001111111
 dc.w %0000000000000000		;background
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111000000000
 dc.w %1111110010000000
 dc.w %1111100011000000
 dc.w %1111000011100000
 dc.w %1110000011110000
 dc.w %1100000011111000
 dc.w %1000000011111100
 dc.w %0000000011111110
 dc.w %0111111100000000
 dc.w %0011111100000001
 dc.w %0001111100000011
 dc.w %0000111100000111
 dc.w %0000011100001111
 dc.w %0000001100011111
 dc.w %0000000100111111
 dc.w %0000000001111111
 dc.w %1111111111111111		;bexp1
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111001111111
 dc.w %1111111001111111
 dc.w %0111110000111110
 dc.w %0111110001111111
 dc.w %0111110001111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111001111111
 dc.w %1111111001111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001100000011000
 dc.w %0011110110111100
 dc.w %0111111111111110
 dc.w %1000000000000001
 dc.w %1001000000000000
 dc.w %1010000110000000
 dc.w %0001100000011000
 dc.w %0011110000111100
 dc.w %0111111111111110
 dc.w %1000000110000001
 dc.w %1000000110000001
 dc.w %1000000110000001
 dc.w %1000000110000001
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000011111111		;bexp2
 dc.w %0101100011111111
 dc.w %0111110011111111
 dc.w %1111110001111111
 dc.w %1111111001111111
 dc.w %1111110000111110
 dc.w %1111110001111111
 dc.w %1111110001111111
 dc.w %1111110111111111
 dc.w %0111111111111111
 dc.w %1111111001111111
 dc.w %1111111001111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000
 dc.w %0101100000000000
 dc.w %0111110000011000
 dc.w %1111110000111100
 dc.w %1111111001111110
 dc.w %1011000000000001
 dc.w %1010000000000000
 dc.w %1000000110000000
 dc.w %1011110000011000
 dc.w %1011111000111100
 dc.w %0110101111111110
 dc.w %1101010110000001
 dc.w %1100000110000001
 dc.w %1000000110000001
 dc.w %1000000110000001
 dc.w %1111111111111111
 dc.w %0000000011111111
 dc.w %0101100011111111
 dc.w %0111110011111111
 dc.w %1111110001111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000001000		;bexp3
 dc.w %0000000000101010
 dc.w %0000000001111110
 dc.w %0000000001111110
 dc.w %0000100001111111
 dc.w %0011100000111110
 dc.w %0111101001111111
 dc.w %1111110001111111
 dc.w %1111110111111111
 dc.w %1111111111111111
 dc.w %1111111001111111
 dc.w %1111111001111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000001000
 dc.w %0000000000101010
 dc.w %0000000001111110
 dc.w %0000000001111110
 dc.w %0000100001111110
 dc.w %0010100000000001
 dc.w %0011101000000000
 dc.w %0001110110000000
 dc.w %1000000000011000
 dc.w %1000000000111100
 dc.w %0001010111111110
 dc.w %1011111110000001
 dc.w %0111111110000001
 dc.w %1010001110000001
 dc.w %1000000110000001
 dc.w %1111111111111111
 dc.w %0000000000001000
 dc.w %0000000000101010
 dc.w %0000000001111110
 dc.w %0000000001111110
 dc.w %0000100001111111
 dc.w %0011100111111111
 dc.w %0111101111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0000000000000000		;bexp4
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000010101
 dc.w %0010000000111110
 dc.w %1011100000111110
 dc.w %0011110000111110
 dc.w %0111111111111111
 dc.w %0111111111111111
 dc.w %0001100001111111
 dc.w %0000000001111111
 dc.w %0100010011111111
 dc.w %0011100011111111
 dc.w %0001110011111111
 dc.w %0010000011111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000010101
 dc.w %0010000000110110
 dc.w %1011100000011010
 dc.w %0011110000011100
 dc.w %0010001000011000
 dc.w %0000100000111100
 dc.w %0000000001111110
 dc.w %0000000000000001
 dc.w %0100010010000001
 dc.w %0011100010000001
 dc.w %0001110010000001
 dc.w %0010000011111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000010101
 dc.w %0010000000111110
 dc.w %1011100000111110
 dc.w %0011110000111110
 dc.w %0111111111111111
 dc.w %0111111111111111
 dc.w %0001100001111111
 dc.w %0000000001111111
 dc.w %0100010011111111
 dc.w %0011100011111111
 dc.w %0001110011111111
 dc.w %0010000011111111
 dc.w %0000000000000000		;bexp5
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000001000
 dc.w %0000000000011110
 dc.w %0000000001001100
 dc.w %0111000001111110
 dc.w %0010100011111111
 dc.w %0000000001111111
 dc.w %0000000001111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000001000
 dc.w %0000000000011110
 dc.w %0000000001001100
 dc.w %0111000000111110
 dc.w %0010100001111111
 dc.w %0000000001111111
 dc.w %0000000000000001
 dc.w %0000000010000001
 dc.w %0000000010000001
 dc.w %0000000010000001
 dc.w %0000000011111111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000001000
 dc.w %0000000000011110
 dc.w %0000000001001100
 dc.w %0111000001111110
 dc.w %0010100011111111
 dc.w %0000000001111111
 dc.w %0000000001111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111
 dc.w %0000000011111111


style5:
 dc.l style5_data+64*9				;exp block
 dc.l style5_data+64*10				;unexp block
 dc.l style5_data+64*11				;back
 dc.l style5_data+64*12				;bexp1
 dc.l style5_data+64*12+96*1		;bexp2
 dc.l style5_data+64*12+96*2		;bexp3
 dc.l style5_data+64*12+96*3		;bexp4
 dc.l style5_data+64*12+96*4		;bexp5
 dc.l style5_data+64*0				;top left 
 dc.l style5_data+64*1				;top
 dc.l style5_data+64*0				;top right
 dc.l style5_data+64*2				;left
 dc.l style5_data+64*3				;right
 dc.l style5_data+64*0				;bottom left
 dc.l style5_data+64*4				;bottom
 dc.l style5_data+64*0				;bottom right
 dc.l style5_data+64*5				;top left corner
 dc.l style5_data+64*6				;top right corner
 dc.l style5_data+64*7				;bottom left corner
 dc.l style5_data+64*8				;bottom right corner
 dc.l style5_data+64*0				;outside background
 dc.l style5_data+64*12+96*5				;left2
 dc.l style5_data+64*13+96*5				;right2

style5_data:
 dc.w %0000000000000000		;out_bk
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000		;top
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0011110000011000
 dc.w %1111111101111110
 dc.w %1100001111100111
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001110000011000
 dc.w %0011111000111100
 dc.w %0111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111101
 dc.w %1111110011111101
 dc.w %0111110011111100
 dc.w %0111111011111100
 dc.w %0100001111100110
 dc.w %0000000010000001
 dc.w %0011110000011000
 dc.w %0000000000000000		;left
 dc.w %0000000000000000
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000011
 dc.w %0000000000000011
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000101
 dc.w %0000000000000111
 dc.w %0000000000000110
 dc.w %0000000000001000
 dc.w %0000000000001000
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000100
 dc.w %0000000000001100
 dc.w %0000000000011101
 dc.w %0000000000011101
 dc.w %0000000000111101
 dc.w %0000000001111101
 dc.w %0000000001111010
 dc.w %0000000001111000
 dc.w %0000000001111001
 dc.w %0000000000110111
 dc.w %0000000000010111
 dc.w %0000000000001110
 dc.w %0000000000000000		;right
 dc.w %0000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %1100000000000000
 dc.w %1010000000000000
 dc.w %0010000000000000
 dc.w %0010000000000000
 dc.w %0111000000000000
 dc.w %1101000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %1010000000000000
 dc.w %1011000000000000
 dc.w %1011100000000000
 dc.w %1011100000000000
 dc.w %1011110000000000
 dc.w %0011111000000000
 dc.w %0101111000000000
 dc.w %1101111000000000
 dc.w %1101111000000000
 dc.w %1000110000000000
 dc.w %0010100000000000
 dc.w %0111000000000000
 dc.w %0000000000000000		;bottom
 dc.w %0001000110001000
 dc.w %0000111001110000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111100000011111
 dc.w %0010111001110100
 dc.w %0001000110001000
 dc.w %0000111001110000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000		;corner_top_left
 dc.w %0000000000000000
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000001
 dc.w %0000000000000001
 dc.w %0000000000000011
 dc.w %0011110000111110
 dc.w %1111111111111000
 dc.w %1100001111000001
 dc.w %0000000000000011
 dc.w %0000000000000011
 dc.w %0000000000000110
 dc.w %0000000000000110
 dc.w %0000000000000110
 dc.w %0001110000011110
 dc.w %0011111000111111
 dc.w %0111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111110000111010
 dc.w %0111110000110010
 dc.w %0111111001111100
 dc.w %0100001111000001
 dc.w %0000000000000111
 dc.w %0011110000111110
 dc.w %0000000000000000		;corner_top_right
 dc.w %0000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1100000000000000
 dc.w %0111110000011000
 dc.w %1101111101111110
 dc.w %1000001111100111
 dc.w %1100000000000000
 dc.w %1100000000000000
 dc.w %0110000000000000
 dc.w %0110000000000000
 dc.w %0110000000000000
 dc.w %0111100000011000
 dc.w %1111110000111100
 dc.w %1111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111101
 dc.w %0101110011111101
 dc.w %0100110011111100
 dc.w %0011111011111100
 dc.w %1000001111100110
 dc.w %0010000010000001
 dc.w %0111110000011000
 dc.w %0000000000000011		;corner_bottom-left
 dc.w %0001000110000110
 dc.w %0000111001111100
 dc.w %0000000000001100
 dc.w %0000000000000010
 dc.w %0000000000000011
 dc.w %0000000000000011
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000100
 dc.w %0000000000000101
 dc.w %0000000000000011
 dc.w %0000000000000010
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000001
 dc.w %1111100000011100
 dc.w %0010111001111001
 dc.w %0001000110000011
 dc.w %0000111001110011
 dc.w %0000000000001101
 dc.w %0000000000001100
 dc.w %0000000000011100
 dc.w %0000000000111101
 dc.w %0000000000111101
 dc.w %0000000000011011
 dc.w %0000000000001010
 dc.w %0000000000000100
 dc.w %0000000000000001
 dc.w %0000000000000011
 dc.w %0000000000000001
 dc.w %0000000000000000
 dc.w %1000100000000000		;corner bottom right
 dc.w %0001100110001000
 dc.w %0011111001110000
 dc.w %0111000000000000
 dc.w %1100000000000000
 dc.w %1100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %1110000000000000
 dc.w %1010000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %0111000000011111
 dc.w %1110011001110100
 dc.w %1100000110001000
 dc.w %1000111001110000
 dc.w %0011000000000000
 dc.w %0011000000000000
 dc.w %1011100000000000
 dc.w %1011110000000000
 dc.w %1011110000000000
 dc.w %0001100000000000
 dc.w %0101000000000000
 dc.w %1110000000000000
 dc.w %1100000000000000
 dc.w %1100000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1000111111100011		;break_block
 dc.w %0001100001111110
 dc.w %0010000000001100
 dc.w %0100000000000010
 dc.w %1100000000000010
 dc.w %1100000000000011
 dc.w %0100000000000011
 dc.w %1100000000000111
 dc.w %1000000000001011
 dc.w %1000000000000011
 dc.w %1000000000000011
 dc.w %1000000000000011
 dc.w %0100000000000010
 dc.w %0110000000000100
 dc.w %1101100000011000
 dc.w %1000011111110001
 dc.w %0111000000011100
 dc.w %1110010010000001
 dc.w %1101000000010011
 dc.w %1010000000000101
 dc.w %0000000000000001
 dc.w %0000000000000000
 dc.w %1000000000000100
 dc.w %0000100000001000
 dc.w %0000011111110100
 dc.w %0000000011111100
 dc.w %0000000011111100
 dc.w %0000000011111100
 dc.w %1000000011111101
 dc.w %1000000011111011
 dc.w %0010000011100111
 dc.w %0111100000001110
 dc.w %1000110001111111		;unbreak
 dc.w %0001101111111110
 dc.w %0011110000111110
 dc.w %0111000000011110
 dc.w %1101000000001100
 dc.w %1010001001000101
 dc.w %0110001001000111
 dc.w %1010001001001001
 dc.w %1111000000001001
 dc.w %1111110000011111
 dc.w %1010001111100101
 dc.w %0100000000001011
 dc.w %0100000000000010
 dc.w %0100000000000100
 dc.w %1111000000011000
 dc.w %1000111111110001
 dc.w %0111001110011100
 dc.w %1110011111101011
 dc.w %1100110000100111
 dc.w %1001100000010011
 dc.w %0011000000001111
 dc.w %0110001001001110
 dc.w %1110001001001110
 dc.w %1110001001001111
 dc.w %1111000000001111
 dc.w %0011110000011111
 dc.w %0111001111111110
 dc.w %1110000001111110
 dc.w %1100000000111111
 dc.w %1110000000011111
 dc.w %0011100000011111
 dc.w %0111111111101110
 dc.w %1000110001100011		;bk
 dc.w %0001100011000110
 dc.w %0011000110001100
 dc.w %0110001100011000
 dc.w %1100011000110000
 dc.w %1000110001100001
 dc.w %0001100011000011
 dc.w %0011000110000110
 dc.w %0110001100001100
 dc.w %1100011000011000
 dc.w %1000110000110001
 dc.w %0001100001100011
 dc.w %0011000011000110
 dc.w %0110000110001100
 dc.w %1100001100011000
 dc.w %1000011000110001
 dc.w %0111001110011100
 dc.w %1110011100111001
 dc.w %1100111001110011
 dc.w %1001110011100111
 dc.w %0011100111001111
 dc.w %0111001110011110
 dc.w %1110011100111100
 dc.w %1100111001111001
 dc.w %1001110011110011
 dc.w %0011100111100111
 dc.w %0111001111001110
 dc.w %1110011110011100
 dc.w %1100111100111001
 dc.w %1001111001110011
 dc.w %0011110011100111
 dc.w %0111100111001110
 dc.w %0000000000000000		;bexp1
 dc.w %0000000000000000
 dc.w %0000011100000000
 dc.w %0000111111100000
 dc.w %0011111111111100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000011100000000
 dc.w %0000100011100000
 dc.w %0011000000011100
 dc.w %0100000000000010
 dc.w %0100000000000010
 dc.w %1100000000000011
 dc.w %1000001011111111
 dc.w %1000000000000111
 dc.w %1000000001010111
 dc.w %1000000000000111
 dc.w %0100000001010010
 dc.w %0010000000001100
 dc.w %0001100000011000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000011100000000
 dc.w %0000111111100000
 dc.w %0011111111111100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000		;bexp2
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000011111000000
 dc.w %0001111111111000
 dc.w %0111111111111100
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000011111000000
 dc.w %0001100000111000
 dc.w %0110000000000100
 dc.w %1000000000000011
 dc.w %1000000000000111
 dc.w %1000001010101011
 dc.w %1000000000000011
 dc.w %0100000000101010
 dc.w %0010000000000100
 dc.w %0001100000011000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000011111000000
 dc.w %0001111111111000
 dc.w %0111111111111100
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000		;bexp3
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1000000000000010
 dc.w %1000000000000011
 dc.w %1000000000000011
 dc.w %1000001010101111
 dc.w %0100000000001010
 dc.w %0010000000100100
 dc.w %0001100000011000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1111111111111110
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %1111111111111111
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000		;bexp4
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001111111111000
 dc.w %0011111111111100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001100000111000
 dc.w %0010000000010100
 dc.w %0100000000000010
 dc.w %0100000000000010
 dc.w %0100000000000010
 dc.w %0011000000001100
 dc.w %0001110101011000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0001111111111000
 dc.w %0011111111111100
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0111111111111110
 dc.w %0011111111111100
 dc.w %0001111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000		;bexp5
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000001111000000
 dc.w %0000111111110000
 dc.w %0001111111111000
 dc.w %0000111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000001111000000
 dc.w %0000110000110000
 dc.w %0001000000001000
 dc.w %0000100000011000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000001111000000
 dc.w %0000111111110000
 dc.w %0001111111111000
 dc.w %0000111111111000
 dc.w %0000011111100000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000		;left2
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000011
 dc.w %0000000000000011
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000010
 dc.w %0000000000000100
 dc.w %0000000000000101
 dc.w %0000000000000011
 dc.w %0000000000000010
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000001
 dc.w %0000000000001111
 dc.w %0000000000000111
 dc.w %0000000000001111
 dc.w %0000000000001111
 dc.w %0000000000001100
 dc.w %0000000000011100
 dc.w %0000000000011101
 dc.w %0000000000111101
 dc.w %0000000000111101
 dc.w %0000000000011011
 dc.w %0000000000001010
 dc.w %0000000000000100
 dc.w %0000000000000001
 dc.w %0000000000000011
 dc.w %0000000000000001
 dc.w %0000000000000000
 dc.w %0000000000000000		;right2
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1100000000000000
 dc.w %1100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %0100000000000000
 dc.w %1110000000000000
 dc.w %1010000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %1000000000000000
 dc.w %1000000000000000
 dc.w %1111000000000000
 dc.w %1110000000000000
 dc.w %1111000000000000
 dc.w %1111000000000000
 dc.w %0011000000000000
 dc.w %0011100000000000
 dc.w %1011100000000000
 dc.w %1011110000000000
 dc.w %1011110000000000
 dc.w %0001100000000000
 dc.w %0101000000000000
 dc.w %1110000000000000
 dc.w %1100000000000000
 dc.w %1100000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000


;*******************************CONVERT D0 TO A STRING
;*
;*	Used for print_d0 macro
;*
;********
ConvStr:
    movem.l d0-d2,-(a7)
    clr.b   (a0)
conv_repeat:
    divu    #10,d0
    move.l  d0,d2
    swap    d2
    add.b   #48,d2
    move.b  d2,-(a0)
    subq    #1,d1
    and.l   #$FFFF,d0
    bne     conv_repeat
    tst.w   d1
    beq     conv_done
    subq    #1,d1
fillout:
    move.b  #32,-(a0)
    dbra    d1,fillout
conv_done:
    movem.l (a7)+,d0-d2
    rts

str             ds.b 16
strend

	END