;******************************************Options Screen
;*
;*	Display the options screen and let the player choose different things
;*
;**********
options:
	;jsr		graphlib::gray2
	move.w	#1,graphlib::choosescreen	;set all graphlib functions to grayscale mode

	Fade	#16

	Fill	#0,#47,#160,#13,#2

	SetFont	#2
	WriteStr	#29,#49,#0,game_options_text
	SetFont #1

	options_loop:

		Fill	#0,#60,#160,#40,#1

		WriteStr	#2,#64,#1,options_bullet_text
		WriteStr	#15,#64,#1,speed_options_text
		WriteStr	#100,#64,#1,rt_left_button_text

		move.w	bomberd2::game_speed,d0
		print_d0 #80,#64,#1

		Fade	#10

		bsr	options_wait_key
		cmp	#264,d0
		beq	end_options
		cmp	#13,d0
		beq	end_options
		cmp	#337,d0
		beq	options_up
		cmp	#340,d0
		beq	options_down
		cmp	#338,d0
		beq	options_left
		cmp	#344,d0
		beq	options_right
		bra		options_loop

		options_up:			;right now there is only one option
			bra	options_loop
		options_down:			;right now there is only one option
			bra	options_loop
		options_left:			;right now there is only one option
			sub.w	#1,bomberd2::game_speed
			cmp.w	#1,bomberd2::game_speed
			bhi options_loop
			move.w	#2,bomberd2::game_speed
			bra	options_loop
		options_right:			;right now there is only one option
			add.w	#1,bomberd2::game_speed
			cmp.w	#15,bomberd2::game_speed
			bcs options_loop
			move.w	#14,bomberd2::game_speed
			bra	options_loop

end_options:
	move.w	bomberd2::game_speed,d0	;use the new gamespeed to calculate a new APD delay occurence
	mulu.w	#2,d0
	add.w	#3,d0
	move.w	d0,bomberd2::def_t_to_APD

	Fade	#16
	;jsr		graphlib::gray4
	;move.w	#1,graphlib::choosescreen	;set all graphlib functions to grayscale mode

	bra	startup


options_wait_key:
	GetKeyStat #6
	move.b	d0,key2
	GetKeyStat #1
	move.b	d0,key3
	GetKeyStat #0
	move.b	d0,key
	btst.b	#0,key2
	beq	options_wait_key_escape
	btst.b	#1,key
	beq	options_wait_key_left
	btst.b	#3,key
	beq	options_wait_key_right
	btst.b	#0,key
	beq	options_wait_key_up
	btst.b	#2,key
	beq	options_wait_key_down
	btst.b	#0,key3
	beq	options_wait_key_enter
	bra		options_wait_key

options_wait_key_left:
	options_wait_left_released:
	GetKeyStat #0
	move.b	d0,key
	btst.b	#1,key
	beq	options_wait_left_released
	move.w	#338,d0
	rts
options_wait_key_right:
	options_wait_right_released:
	GetKeyStat #0
	move.b	d0,key
	btst.b	#3,key
	beq	options_wait_right_released
	move.w	#344,d0
	rts
options_wait_key_up:
	options_wait_up_released:
	GetKeyStat #0
	move.b	d0,key
	btst.b	#0,key
	beq	options_wait_up_released
	move.w	#337,d0
	rts
options_wait_key_down:
	options_wait_down_released:
	GetKeyStat #0
	move.b	d0,key
	btst.b	#2,key
	beq	options_wait_down_released
	move.w	#340,d0
	rts
options_wait_key_enter:
	move.w	#13,d0
	rts
options_wait_key_escape:
	btst.b	#0,key
	beq	options_wait_key
	move.w	#264,d0
	rts



game_options_text	dc.b	"Game Options",0,0
speed_options_text	dc.b	"Game Speed:",0

options_bullet_text	dc.b	22,0
